Bug 7026 - (int-151246) Can't get a GPS lock with several satellites at view
(int-151246)
: Can't get a GPS lock with several satellites at view
Status: RESOLVED WORKSFORME
Product: Location
General
: 5.0/(1.2009.41-10)
: All Maemo
: Medium normal with 60 votes (vote)
: ---
Assigned To: unassigned
: location-framework-bugs
:
:
:
: int-151817
  Show dependency tree
 
Reported: 2009-12-16 10:40 UTC by Quim Gil
Modified: 2011-01-09 23:28 UTC (History)
68 users (show)

See Also:


Attachments
command line utility to clear GPS data (6.67 KB, application/octet-stream)
2009-12-24 01:02 UTC, Quim Gil
Details
Comment#56 : Test Case 1 (17.58 KB, text/plain)
2010-01-20 00:27 UTC, SaintGermain
Details
Comment #57 : Test Case 2 (10.71 KB, text/plain)
2010-01-20 00:31 UTC, SaintGermain
Details
Comment #57 : Test Case 3 (8.26 KB, text/plain)
2010-01-20 00:32 UTC, SaintGermain
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Quim Gil (reporter) nokia 2009-12-16 10:40:04 UTC
+++ This bug was initially created as a clone of Bug #5337 +++
SOFTWARE VERSION:
1.2009.41-10

STEPS TO REPRODUCE THE PROBLEM:
Install GPS test application. Disable GPS Network assistance (A-GPS). Go
outside. 

EXPECTED OUTCOME:
You can still get GPS lock, it just takes longer.

ACTUAL OUTCOME:
Cannot get GPS lock at all, even waiting more than 15 minutes with more than 6
satellites at view.

REPRODUCIBILITY:
most of times
Comment 1 Quim Gil (reporter) nokia 2009-12-16 11:30:10 UTC
*** Bug 7025 has been marked as a duplicate of this bug. ***
Comment 2 wheelybird 2009-12-16 12:11:47 UTC
Following those steps, I can't get a GPS lock even when the gps test gui
reports that a dozen satellites are in view.  I've tried this in several
locations, for up to half an hour waiting for a lock.  With AGPS enabled I get
a lock within seconds.
I would prefer not to use AGPS as the data connection costs me money.
Comment 3 Quim Gil (reporter) nokia 2009-12-16 13:09:51 UTC
New Note 5

Let's introduce some systematic analysis here.

- Use only the location-test-gui app available at
http://repository.maemo.org/pool/maemo5.0/non-free/l/location-test-gui/location-test-gui_0.92-1+0m5_armel.deb
. Can someone please post step by step install instructions? It basically
involves saving the package, getting root and running dpkg --install (easy
steps if you know a bit about Linux but hard to all the rest.

- In your reports explain where you are (open sky, street with buildings...),
if you are still or moving, where do you have the device (in your pocket, on a
table).

- Make sure Settings - Location - Network position is NOT enabled.

- Start your tests with General mode, since Offline mode is not a usual use
case.

- Copy the relevant information in the location-test-gui log and paste it here.

Useful steps:

1. Start testing doing whatever you would do in a normal situation: stop
somewhere just to get a fix, walk, drive, etc. Give it at least 5 minutes. Even
better if you can wait until 15 to be sure. More than that is probably not
needed to get any additional result. If you get a fix, report here saying how
long it took.

2. If you didn't get a lock then go for the ideal situation: leave the device
somewhere under open sky, with the keyboard open (no idea if that helps, but
anyway) and left side pointing to the sky, uncovered (I wonder if that helps,
afaik the antenna is located there). 5 minutes at least, up to 15. Report if
you get a fix in that situation.

3a. If not, do you have any bluetooth GPS to connect with? It would help
figuring out whether the problem relies on the amount/quality of satellite data
acquired or there is something wrong in the calculation of a position based on
the data received. If you can connect a BT GPS please share your results here.

3b. If not, then... Would you be ready to reflash your device and repeat the
test in the same conditions? It might be that something gets corrupted over
time, perhaps using A-GPS or any application. reflash your device, don't enable
Network positioning and run the tests again.

I... Just got a fix within 5 minutes. It's -15 degrees outside and I was really
happy about not having to wait more.  :)

First I tried in General mode, got 6-10 satellites at view in an open square in
Espoo but nothing. Just standing with keyboard out and left side pointing to
sky.


lat = 64,900000, long = 25,400000; speed = 0,396000; track = 195,150000; climb
= 0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 3, in use: 0
lat = 64,900000, long = 25,400000; speed = 0,396000; track = 195,150000; climb
= 0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 7, in use: 0
lat = 64,900000, long = 25,400000; speed = 0,396000; track = 195,150000; climb
= 0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 8, in use: 0
lat = 64,900000, long = 25,400000; speed = 0,396000; track = 195,150000; climb
= 0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 7, in use: 0
lat = 64,900000, long = 25,400000; speed = 0,396000; track = 195,150000; climb
= 0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 4, in use: 0
lat = 64,900000, long = 25,400000; speed = 0,396000; track = 195,150000; climb
= 0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 3, in use: 0
lat = 64,900000, long = 25,400000; speed = 0,396000; track = 195,150000; climb
= 0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 6, in use: 0
lat = 64,900000, long = 25,400000; speed = 0,396000; track = 195,150000; climb
= 0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 7, in use: 0
lat = 64,900000, long = 25,400000; speed = 0,396000; track = 195,150000; climb
= 0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 4, in use: 0
lat = 64,900000, long = 25,400000; speed = 0,396000; track = 195,150000; climb
= 0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 5, in use: 0
lat = 64,900000, long = 25,400000; speed = 0,396000; track = 195,150000; climb
= 0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 6, in use: 0
lat = 64,900000, long = 25,400000; speed = 0,396000; track = 195,150000; climb
= 0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 7, in use: 0
lat = 64,900000, long = 25,400000; speed = 0,396000; track = 195,150000; climb
= 0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 4, in use: 0
lat = 64,900000, long = 25,400000; speed = 0,396000; track = 195,150000; climb
= 0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 7, in use: 0
lat = 64,900000, long = 25,400000; speed = 0,396000; track = 195,150000; climb
= 0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 8, in use: 0
lat = 64,900000, long = 25,400000; speed = 0,396000; track = 195,150000; climb
= 0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 3, in use: 0
lat = 64,900000, long = 25,400000; speed = 0,396000; track = 195,150000; climb
= 0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 5, in use: 0
lat = 64,900000, long = 25,400000; speed = 0,396000; track = 195,150000; climb
= 0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 9, in use: 0
lat = 64,900000, long = 25,400000; speed = 0,396000; track = 195,150000; climb
= 0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 10, in use: 0
lat = 64,900000, long = 25,400000; speed = 0,396000; track = 195,150000; climb
= 0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Mobile Country Code WCDMA: 244
Satellites in view: 10, in use: 0
lat = 64,900000, long = 25,400000; speed = 0,396000; track = 195,150000; climb
= 0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 4, in use: 0
lat = 64,900000, long = 25,400000; speed = 0,396000; track = 195,150000; climb
= 0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 10, in use: 0
lat = 64,900000, long = 25,400000; speed = 0,396000; track = 195,150000; climb
= 0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 4, in use: 0
lat = 64,900000, long = 25,400000; speed = 0,396000; track = 195,150000; climb
= 0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 10, in use: 0

etc

Then I tried going Offline to see if that would affect seeing less satellites
(someone had repolrted this problem, which I found odd since being
online/offline shouldn't affect seeing less or more satellites).

For about 30 seconds I could see similar values than before, but then I got a
fix:


Satellites in view: 5, in use: 0
lat = 60,217886, long = 24,810209; time = 1260959159,000000; alt = 141,000000;
speed = 0,396000; track = 195,150000; climb = 0,000000; ept = 0,000000e+00, eph
= 5,647000e+03, epv = 1,115000e+02, epd = nan, eps = nan, epc = nan
Satellites in view: 5, in use: 4
lat = 60,217889, long = 24,810281; time = 1260959160,000000; alt = 139,500000;
speed = 0,360000; track = 186,420000; climb = 0,000000; ept = 0,000000e+00, eph
= 1,171200e+04, epv = 1,930000e+02, epd = 3,599900e+02, eps = 1,224000e+00, epc
= 3,000000e-02
Satellites in view: 5, in use: 4
lat = 60,217891, long = 24,810304; time = 1260959161,000000; alt = 139,000000;
speed = 0,036000; track = 28,770000; climb = 0,000000; ept = 0,000000e+00, eph
= 7,076000e+03, epv = 9,300000e+01, epd = 3,599900e+02, eps = 1,872000e+00, epc
= 3,000000e-02
Satellites in view: 5, in use: 4
lat = 60,217899, long = 24,810318; time = 1260959162,000000; alt = 138,500000;
speed = 0,036000; track = 102,140000; climb = 0,000000; ept = 0,000000e+00, eph
= 6,032000e+03, epv = 8,100000e+01, epd = 3,599900e+02, eps = 2,664000e+00, epc
= 3,000000e-02
Satellites in view: 5, in use: 4
lat = 60,217905, long = 24,810329; time = 1260959163,000000; alt = 139,000000;
speed = 0,072000; track = 87,620000; climb = 0,000000; ept = 0,000000e+00, eph
= 5,879000e+03, epv = 7,300000e+01, epd = 3,599900e+02, eps = 2,916000e+00, epc
= 3,000000e-02
Satellites in view: 5, in use: 4
lat = 60,217914, long = 24,810345; time = 1260959164,000000; alt = 140,000000;
speed = 0,072000; track = 66,570000; climb = 0,000000; ept = 0,000000e+00, eph
= 1,347900e+04, epv = 2,115000e+02, epd = 3,599900e+02, eps = 2,988000e+00, epc
= 3,000000e-02
Satellites in view: 11, in use: 4
lat = 60,217923, long = 24,810367; time = 1260959165,000000; alt = 140,500000;
speed = 0,216000; track = 44,910000; climb = 0,000000; ept = 0,000000e+00, eph
= 1,040400e+04, epv = 1,725000e+02, epd = 3,599900e+02, eps = 2,520000e+00, epc
= 3,000000e-02
Satellites in view: 11, in use: 4
lat = 60,217932, long = 24,810390; time = 1260959166,000000; alt = 141,500000;
speed = 0,108000; track = 163,350000; climb = 0,000000; ept = 0,000000e+00, eph
= 7,930000e+03, epv = 1,325000e+02, epd = 3,599900e+02, eps = 9,720000e-01, epc
= 3,000000e-02
Satellites in view: 11, in use: 4
lat = 60,217935, long = 24,810408; time = 1260959167,000000; alt = 141,500000;
speed = 0,036000; track = 127,770000; climb = 0,000000; ept = 0,000000e+00, eph
= 6,196000e+03, epv = 1,045000e+02, epd = 3,599900e+02, eps = 1,836000e+00, epc
= 3,000000e-02
Satellites in view: 11, in use: 4
lat = 60,217933, long = 24,810417; time = 1260959168,000000; alt = 140,500000;
speed = 0,072000; track = 67,660000; climb = 0,000000; ept = 0,000000e+00, eph
= 5,375000e+03, epv = 1,190000e+02, epd = 3,599900e+02, eps = 2,844000e+00, epc
= 3,000000e-02
Satellites in view: 11, in use: 4
lat = 60,217938, long = 24,810426; time = 1260959169,000000; alt = 141,000000;
speed = 0,108000; track = 54,310000; climb = 0,000000; ept = 0,000000e+00, eph
= 9,778000e+03, epv = 2,435000e+02, epd = 3,599900e+02, eps = 2,700000e+00, epc
= 3,000000e-02
Satellites in view: 11, in use: 4
lat = 60,217938, long = 24,810428; time = 1260959170,000000; alt = 141,000000;
speed = 0,072000; track = 75,600000; climb = 0,000000; ept = 0,000000e+00, eph
= 7,514000e+03, epv = 1,885000e+02, epd = 3,599900e+02, eps = 2,844000e+00, epc
= 3,000000e-02
Satellites in view: 11, in use: 4
lat = 60,217937, long = 24,810428; time = 1260959171,000000; alt = 140,500000;
speed = 0,180000; track = 177,490000; climb = 0,000000; ept = 0,000000e+00, eph
= 1,065500e+04, epv = 3,290000e+02, epd = 3,599900e+02, eps = 1,188000e+00, epc
= 3,000000e-02
Satellites in view: 11, in use: 4
lat = 60,217938, long = 24,810429; time = 1260959172,000000; alt = 140,500000;
speed = 0,036000; track = 67,500000; climb = 0,000000; ept = 0,000000e+00, eph
= 1,251600e+04, epv = 2,935000e+02, epd = 3,599900e+02, eps = 2,844000e+00, epc
= 3,000000e-02
Satellites in view: 11, in use: 4
lat = 60,217913, long = 24,810388; time = 1260959173,000000; alt = 131,500000;
speed = 0,072000; track = 77,460000; climb = 0,000000; ept = 0,000000e+00, eph
= 5,730000e+03, epv = 4,100000e+01, epd = 3,599900e+02, eps = 2,844000e+00, epc
= 3,000000e-02
Satellites in view: 11, in use: 5
lat = 60,217912, long = 24,810384; time = 1260959174,000000; alt = 131,000000;
speed = 0,108000; track = 31,060000; climb = 0,000000; ept = 0,000000e+00, eph
= 5,661000e+03, epv = 7,900000e+01, epd = 3,599900e+02, eps = 2,196000e+00, epc
= 3,000000e-02
Satellites in view: 11, in use: 5
lat = 60,217911, long = 24,810378; time = 1260959175,000000; alt = 130,000000;
speed = 0,108000; track = 156,360000; climb = 0,000000; ept = 0,000000e+00, eph
= 4,373000e+03, epv = 6,050000e+01, epd = 3,599900e+02, eps = 1,044000e+00, epc
= 3,000000e-02
Satellites in view: 11, in use: 5
lat = 60,217911, long = 24,810372; time = 1260959176,000000; alt = 129,000000;
speed = 0,108000; track = 60,540000; climb = 0,000000; ept = 0,000000e+00, eph
= 5,187000e+03, epv = 4,850000e+01, epd = 3,599900e+02, eps = 2,808000e+00, epc
= 3,000000e-02
Satellites in view: 11, in use: 5
lat = 60,217912, long = 24,810365; time = 1260959177,000000; alt = 127,500000;
speed = 0,144000; track = 37,830000; climb = 0,000000; ept = 0,000000e+00, eph
= 4,030000e+03, epv = 3,800000e+01, epd = 3,599900e+02, eps = 2,376000e+00, epc
= 3,000000e-02
Satellites in view: 11, in use: 5
lat = 60,217908, long = 24,810358; time = 1260959178,000000; alt = 126,500000;
speed = 0,036000; track = 107,540000; climb = 0,000000; ept = 0,000000e+00, eph
= 8,397000e+03, epv = 5,150000e+01, epd = 3,599900e+02, eps = 2,376000e+00, epc
= 3,000000e-02
Satellites in view: 11, in use: 4
lat = 60,217904, long = 24,810350; time = 1260959179,000000; alt = 125,000000;
speed = 0,108000; track = 56,580000; climb = 0,000000; ept = 0,000000e+00, eph
= 6,402000e+03, epv = 4,000000e+01, epd = 3,599900e+02, eps = 2,628000e+00, epc
= 3,000000e-02
Satellites in view: 11, in use: 4
lat = 60,217903, long = 24,810348; time = 1260959180,000000; alt = 125,000000;
speed = 0,252000; track = 13,850000; climb = 0,000000; ept = 0,000000e+00, eph
= 1,286400e+04, epv = 8,550000e+01, epd = 3,599900e+02, eps = 1,620000e+00, epc
= 3,000000e-02
Satellites in view: 11, in use: 4
on_stop

I don't think the Offline mode had anything to do with this lock. Probably
waiting a bit more would have been enough. My hand was still warm so I consider
this a decent time for a non-assisted GPS.  :)

Looking forward to your reports. Let's see if we can find the patterns.
Comment 4 Eero Tamminen nokia 2009-12-16 14:02:19 UTC
(In reply to comment #3)
> online/offline shouldn't affect seeing less or more satellites

I don't know, but it's possible that the device can triangulate its initial
position and verify its clock accuracy from the nearby base stations.
Comment 5 Neil MacLeod maemo.org 2009-12-16 14:24:35 UTC
Very handy utility, Quim - thanks.

This may not be the right place to ask this, but one useful enhancement to the
test utility would be the option to reset the GPS so that it starts from "cold"
(ie. without any previously cached ephemeris/almanac data) - this would help me
debug bug 7016 reliably.

For anyone interested in gaining a better understanding of the different
"Methods" available in the test application, see here:

http://wiki.maemo.org/PyMaemo/Using_Location_API#Location_methods
Comment 6 wierdo 2009-12-16 23:26:57 UTC
OK, just now on the release firmware I did some more testing.

Taking the N900 outdoors and leaving it for 10 minutes (in online mode but with
network positioning disabled) it eventually went to 5 satellites in view, 0 in
use and stuck there for about 10 minutes.

I brought it inside (next to a window) and paired it to my SiRF III based
bluetooth GPS puck which hadn't been powered up in over a year and within two
minutes(!) it not only saw 12 satellites, but locked with 7.

Switching back to the internal GPS with the phone placed exactly in the
position the bluetooth puck was previously occupying, in two minutes the N900's
internal GPS was able to see 5 satellites, but took an additional three minutes
to get a lock. (a total of about 5 minutes..but only after I had been outside
for 10 minutes with no lock a few minutes earlier)

So apparently if you use an external GPS, the location software has no problem
reporting the position given to it by the external puck.

The internal GPS will sometimes get a lock without network positioning, but
it's very intermittent.

Oh, and for whatever it's worth, the reported accuracy using the BT GPS stayed
right around 8 meters, while the internal GPS, once it got a lock, was
reporting accuracy of 100 meters. (with 8 satellites visible, 5 in the
positioning calculation)
Comment 7 Quim Gil (reporter) nokia 2009-12-17 16:49:05 UTC
A very real test from Germany, where I'm doing some telework before starting my
holidays. I don't want to spend money with data roaming so here we go with a
test.

N900 and E71, one in each hand, the second one without SIM card. Both relying
on internal GPS only.

The E71 gets a fix in 2 minutes. I'm not aware of a location-test-gui like app
so I just boot the Nokia Maps application. No idea about how many satellites
seen/used, sorry.

After The N900 doesn't get it after 10 m, even if during most of the time there
are 9-12 satellites at view.

Back to the room. Let's pair the beautiful Nokia LD-4W bluetooth GPS receiver
with the N900. And back outside.

The N900 assisted with the external GPS receiver gets a lock in less than 2
minutes. 11-12 satellites at view, so apparently nothing that the N900 alone
hadn't discovered before.

Back inside, let's unpair the external GPS receiver to rely solely on the
internal GPS. And back outside.

No lock after 5 minutes, even if the satellites at view are 11 most of the
time. No use of the cached information either? I'm getting cold, so I go back
inside (my jacket is upstairs and I'm too lazy to pick it up, even if not too
lazy to write this comment now).

So I don't know what to think, apart from filing this bug internally so people
with more expertise can help figuring out what is happening. Can it be that the
Location framework is too cautious or too demanding calculating a fix? Seeing
11 satellites during several minutes isn't enough to throw a fair guess? Also
what about the cached location, why didn't help getting a fix few minutes
later?
Comment 8 Quim Gil (reporter) nokia 2009-12-17 17:18:37 UTC
Bug filed internally. Accurate reports and findings are welcome.

Comparisons with other mobile phones without SIM card inserted and without wlan
at reach are also welcome. Do like me if you have the chance: one mobile device
in each hand starting the GPS search at the same time.
Comment 9 Quim Gil (reporter) nokia 2009-12-18 16:40:22 UTC
I had the luxury to get a second device for testing. I flashed it entirely,
installes the location-test-gui app and went outside. To the same place as
yesterday. With my other device in thed other hand, the same that I had used
yesterday for the tests above.

I had both devices in both hands, with keyboard open and portrait orientation.

Well... This time I got both devices locked in less than 30 seconds!

Look here the log from the fresh flashed device, starting with no cached data
at all:

on_start
on_connected
ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 1, in use: 0
ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 2, in use: 0
ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 4, in use: 0
ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 5, in use: 0
ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 6, in use: 0
lat = 50.908671, long = 6.795257; time = 1261146481.000000; alt = 127.000000;
ept = 0.000000e+00, eph = 2.090000e+03, epv = 2.900000e+01, epd = nan, eps =
nan, epc = nan
Satellites in view: 6, in use: 5
lat = 50.908671, long = 6.795239; time = 1261146481.000000; alt = 126.500000;
speed = 0.144000; track = 286.100000; climb = 0.000000; ept = 0.000000e+00, eph
= 2.015000e+03, epv = 2.650000e+01, epd = 3.599900e+02, eps = 2.088000e+00, epc
= 3.000000e-02
Satellites in view: 6, in use: 5
lat = 50.908665, long = 6.795230; time = 1261146482.000000; alt = 123.500000;
speed = 0.072000; track = 299.470000; climb = 0.000000; ept = 0.000000e+00, eph
= 2.307000e+03, epv = 2.750000e+01, epd = 3.599900e+02, eps = 2.340000e+00, epc
= 3.000000e-02
Satellites in view: 6, in use: 5
lat = 50.908663, long = 6.795227; time = 1261146484.000000; alt = 122.500000;
speed = 0.180000; track = 301.560000; climb = 0.000000; ept = 0.000000e+00, eph
= 2.060000e+03, epv = 2.550000e+01, epd = 3.599900e+02, eps = 2.124000e+00, epc
= 3.000000e-02
Satellites in view: 6, in use: 5
lat = 50.908661, long = 6.795226; time = 1261146485.000000; alt = 122.000000;
speed = 0.072000; track = 234.360000; climb = 0.000000; ept = 0.000000e+00, eph
= 2.042000e+03, epv = 2.450000e+01, epd = 3.599900e+02, eps = 1.080000e+00, epc
= 3.000000e-02
Satellites in view: 6, in use: 5
lat = 50.908659, long = 6.795224; time = 1261146486.000000; alt = 121.000000;
speed = 0.252000; track = 293.030000; climb = 0.000000; ept = 0.000000e+00, eph
= 1.892000e+03, epv = 2.800000e+01, epd = 3.599900e+02, eps = 1.980000e+00, epc
= 3.000000e-02
Satellites in view: 6, in use: 4
lat = 50.908656, long = 6.795222; time = 1261146487.000000; alt = 120.500000;
speed = 0.072000; track = 304.040000; climb = 0.000000; ept = 0.000000e+00, eph
= 1.812000e+03, epv = 2.650000e+01, epd = 3.599900e+02, eps = 2.160000e+00, epc
= 3.000000e-02
Satellites in view: 6, in use: 4
lat = 50.908655, long = 6.795222; time = 1261146488.000000; alt = 120.000000;
speed = 0.252000; track = 305.940000; climb = 0.000000; ept = 0.000000e+00, eph
= 2.446000e+03, epv = 2.900000e+01, epd = 3.599900e+02, eps = 2.196000e+00, epc
= 3.000000e-02
Satellites in view: 6, in use: 4
lat = 50.908654, long = 6.795221; time = 1261146489.000000; alt = 119.500000;
speed = 0.072000; track = 266.870000; climb = 0.000000; ept = 0.000000e+00, eph
= 2.216000e+03, epv = 2.750000e+01, epd = 3.599900e+02, eps = 1.404000e+00, epc
= 3.000000e-02
Satellites in view: 6, in use: 4
lat = 50.908652, long = 6.795221; time = 1261146490.000000; alt = 119.000000;
speed = 0.216000; track = 308.810000; climb = 0.000000; ept = 0.000000e+00, eph
= 2.250000e+03, epv = 3.100000e+01, epd = 3.599900e+02, eps = 2.232000e+00, epc
= 3.000000e-02
Satellites in view: 6, in use: 4
lat = 50.908650, long = 6.795222; time = 1261146491.000000; alt = 120.000000;
speed = 0.180000; track = 263.190000; climb = 0.000000; ept = 0.000000e+00, eph
= 2.614000e+03, epv = 2.750000e+01, epd = 3.599900e+02, eps = 1.332000e+00, epc
= 3.000000e-02
Satellites in view: 6, in use: 5
lat = 50.908648, long = 6.795221; time = 1261146492.000000; alt = 119.500000;
speed = 0.072000; track = 187.820000; climb = 0.000000; ept = 0.000000e+00, eph
= 2.290000e+03, epv = 2.900000e+01, epd = 3.599900e+02, eps = 1.980000e+00, epc
= 3.000000e-02
Satellites in view: 6, in use: 4
lat = 50.908646, long = 6.795221; time = 1261146493.000000; alt = 119.500000;
speed = 0.144000; track = 303.020000; climb = 0.000000; ept = 0.000000e+00, eph
= 2.058000e+03, epv = 2.700000e+01, epd = 3.599900e+02, eps = 2.124000e+00, epc
= 3.000000e-02
Satellites in view: 6, in use: 4
lat = 50.908645, long = 6.795220; time = 1261146494.000000; alt = 119.500000;
speed = 0.216000; track = 295.560000; climb = 0.000000; ept = 0.000000e+00, eph
= 1.913000e+03, epv = 2.550000e+01, epd = 3.599900e+02, eps = 2.016000e+00, epc
= 3.000000e-02
Satellites in view: 6, in use: 4
lat = 50.908644, long = 6.795220; time = 1261146495.000000; alt = 119.500000;
speed = 0.216000; track = 228.520000; climb = 0.000000; ept = 0.000000e+00, eph
= 2.037000e+03, epv = 3.250000e+01, epd = 3.599900e+02, eps = 1.188000e+00, epc
= 3.000000e-02
Satellites in view: 6, in use: 4
on_stop
Comment 10 Quim Gil (reporter) nokia 2009-12-18 16:46:42 UTC
And this is the log from the device used yesterday, and today again. Apparently
it got a lock two seconds before than the fresh flashed device:

on_start
on_connected
lat = 50,908581, long = 6,795375; time = 1261059840,000000; alt = 116,599998;
speed = 0,074080; track = 358,420013; climb = -0,700005; ept = nan, eph = nan,
epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 3, in use: 0
lat = 50,908581, long = 6,795375; time = 1261059840,000000; alt = 116,599998;
speed = 0,074080; track = 358,420013; climb = -0,700005; ept = nan, eph = nan,
epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 2, in use: 0
lat = 50,908581, long = 6,795375; time = 1261059840,000000; alt = 116,599998;
speed = 0,074080; track = 358,420013; climb = -0,700005; ept = nan, eph = nan,
epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 3, in use: 0
lat = 50,908581, long = 6,795375; time = 1261059840,000000; alt = 116,599998;
speed = 0,074080; track = 358,420013; climb = -0,700005; ept = nan, eph = nan,
epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 5, in use: 0
lat = 50,908525, long = 6,795501; time = 1261146479,000000; alt = 191,500000;
speed = 0,074080; track = 358,420013; climb = -0,700005; ept = 0,000000e+00,
eph = 1,515000e+03, epv = 5,400000e+01, epd = nan, eps = nan, epc = nan
Satellites in view: 5, in use: 5
lat = 50,908546, long = 6,795454; time = 1261146479,000000; alt = 185,000000;
speed = 0,216000; track = 147,270000; climb = 0,000000; ept = 0,000000e+00, eph
= 2,034000e+03, epv = 6,050000e+01, epd = 3,599900e+02, eps = 1,152000e+00, epc
= 3,000000e-02
Satellites in view: 5, in use: 5
lat = 50,908555, long = 6,795435; time = 1261146480,000000; alt = 179,500000;
speed = 0,144000; track = 158,550000; climb = 0,000000; ept = 0,000000e+00, eph
= 2,569000e+03, epv = 6,750000e+01, epd = 3,599900e+02, eps = 1,116000e+00, epc
= 3,000000e-02
Satellites in view: 5, in use: 5
lat = 50,908559, long = 6,795426; time = 1261146482,000000; alt = 176,500000;
speed = 0,144000; track = 168,400000; climb = 0,000000; ept = 0,000000e+00, eph
= 2,235000e+03, epv = 5,600000e+01, epd = 3,599900e+02, eps = 1,152000e+00, epc
= 3,000000e-02
Satellites in view: 5, in use: 5
lat = 50,908559, long = 6,795422; time = 1261146483,000000; alt = 175,500000;
speed = 0,144000; track = 153,960000; climb = 0,000000; ept = 0,000000e+00, eph
= 1,957000e+03, epv = 4,750000e+01, epd = 3,599900e+02, eps = 1,152000e+00, epc
= 3,000000e-02
Satellites in view: 5, in use: 5
lat = 50,908555, long = 6,795425; time = 1261146484,000000; alt = 176,000000;
speed = 0,072000; track = 167,820000; climb = 0,000000; ept = 0,000000e+00, eph
= 1,804000e+03, epv = 4,250000e+01, epd = 3,599900e+02, eps = 1,152000e+00, epc
= 3,000000e-02
Satellites in view: 13, in use: 5
lat = 50,908548, long = 6,795434; time = 1261146485,000000; alt = 178,500000;
speed = 0,108000; track = 102,370000; climb = 0,000000; ept = 0,000000e+00, eph
= 1,971000e+03, epv = 5,900000e+01, epd = 3,599900e+02, eps = 1,116000e+00, epc
= 3,000000e-02
Satellites in view: 13, in use: 5
lat = 50,908542, long = 6,795443; time = 1261146486,000000; alt = 181,000000;
speed = 0,144000; track = 78,770000; climb = 0,000000; ept = 0,000000e+00, eph
= 1,647000e+03, epv = 4,750000e+01, epd = 3,599900e+02, eps = 1,152000e+00, epc
= 3,000000e-02
Satellites in view: 13, in use: 5
lat = 50,908536, long = 6,795452; time = 1261146487,000000; alt = 183,000000;
speed = 0,144000; track = 24,830000; climb = 0,000000; ept = 0,000000e+00, eph
= 1,415000e+03, epv = 3,900000e+01, epd = 3,599900e+02, eps = 1,188000e+00, epc
= 3,000000e-02
Satellites in view: 13, in use: 5
lat = 50,908535, long = 6,795454; time = 1261146488,000000; alt = 183,500000;
speed = 0,144000; track = 23,980000; climb = 0,000000; ept = 0,000000e+00, eph
= 1,899000e+03, epv = 4,600000e+01, epd = 3,599900e+02, eps = 1,188000e+00, epc
= 3,000000e-02
Satellites in view: 13, in use: 5
lat = 50,908533, long = 6,795458; time = 1261146489,000000; alt = 184,500000;
speed = 0,288000; track = 6,780000; climb = 0,000000; ept = 0,000000e+00, eph =
1,647000e+03, epv = 3,900000e+01, epd = 3,599900e+02, eps = 1,188000e+00, epc =
3,000000e-02
Satellites in view: 13, in use: 5
lat = 50,908531, long = 6,795461; time = 1261146490,000000; alt = 185,000000;
speed = 0,288000; track = 27,720000; climb = 0,000000; ept = 0,000000e+00, eph
= 1,446000e+03, epv = 3,350000e+01, epd = 3,599900e+02, eps = 1,224000e+00, epc
= 3,000000e-02
Satellites in view: 13, in use: 5
lat = 50,908530, long = 6,795463; time = 1261146491,000000; alt = 185,500000;
speed = 0,396000; track = 2,070000; climb = 0,000000; ept = 0,000000e+00, eph =
1,508000e+03, epv = 4,800000e+01, epd = 3,599900e+02, eps = 1,224000e+00, epc =
3,000000e-02
Satellites in view: 13, in use: 5
lat = 50,908529, long = 6,795465; time = 1261146492,000000; alt = 186,000000;
speed = 0,396000; track = 3,850000; climb = 0,000000; ept = 0,000000e+00, eph =
1,362000e+03, epv = 4,000000e+01, epd = 3,599900e+02, eps = 1,188000e+00, epc =
3,000000e-02
Satellites in view: 13, in use: 5
lat = 50,908529, long = 6,795466; time = 1261146493,000000; alt = 186,500000;
speed = 0,396000; track = 28,060000; climb = 0,000000; ept = 0,000000e+00, eph
= 2,409000e+03, epv = 5,050000e+01, epd = 3,599900e+02, eps = 1,188000e+00, epc
= 3,000000e-02
Satellites in view: 13, in use: 5
lat = 50,908529, long = 6,795466; time = 1261146494,000000; alt = 186,500000;
speed = 0,684000; track = 18,120000; climb = 0,000000; ept = 0,000000e+00, eph
= 2,563000e+03, epv = 6,000000e+01, epd = 3,599900e+02, eps = 1,152000e+00, epc
= 3,000000e-02
Satellites in view: 13, in use: 5
on_stop
on_disconnected
Comment 11 Neil MacLeod maemo.org 2009-12-18 17:24:07 UTC
Any suggestions how best to reset the GPS so that it has to start from "cold"
with each test? 

There are several test scenarios for Time To First Fix[1] - cold/factory,
warm/normal, hot/standby - all of which _could_ be tested with and without
assistance using the location test app. Unfortunately I'm not sure how to
repeatedly test a cold fix when using the app, in fact I don't think it's
currently possible which is a shame.

As mentioned before, it would be really useful if the location test app could
reset the GPS to a known state (ie. back to cold/factory by removing all
previously observed data, or back to warm/normal by removing just the ephemeris
data) and also perhaps giving an indication whether the next fix is likely to
be a cold, warm or hot fix based on what data is available (ie. no data =>
cold, no ephemeris => warm).

If this discussion is inappropriate (quite likely) I'll happily file a separate
enhancement report against the location-test app.

1. http://en.wikipedia.org/wiki/Time_to_first_fix
Comment 12 fira 2009-12-18 18:36:55 UTC
confirming this issue.
fired up location-test and left the phone by the window for about 2 hours, with
no fix, despite the fact it always had between 11-16 sats in view the whole
time.
Of course, providing network assistance results in an almost instant fix.
Comment 13 Quim Gil (reporter) nokia 2009-12-18 18:48:33 UTC
Fira (and all the rest of people interested in this bug), please try again
tomorrow in the same place. And also in very open space for 15 minutes if
possible (all this outdoors testing would be easier in Northern Summer,
indeed).  :)

About improvements to the location-test-gui please contact directly the
maintainer detailed in the deb package: quanyi.sun nokia
Comment 14 David Hautbois 2009-12-18 20:01:40 UTC
Today, 20km, by car : no fix.
Unfortunately, the location-test-gui application truncated the log...

Does the developper team reproduce this issue ?

Are more logs needed ?
If yes, I will code a python script to export gps information to a log file.
Comment 15 Jamie Lokier 2009-12-18 22:13:52 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > online/offline shouldn't affect seeing less or more satellites
> 
> I don't know, but it's possible that the device can triangulate its initial
> position and verify its clock accuracy from the nearby base stations.

My test, anyway, shows that is not enough of an explanation alone.

That's a plausible explanation for getting more satellites and locking
successfully when switching from offline to online with no data.

But there's a problem with it:

My test consistently found it lost most of the visible satellites, as
well as stopping using the remaining ones, immediately after switching
to offline mode.

So it is _not_ able to get a good initial position and then
track the satellites after that.

Or, perhaps that is happening and the switch to Offline mode wipes the tracking
state?  It would be an odd thing, but not impossible.
Comment 16 fira 2009-12-18 22:25:41 UTC
did some more testing, outside this time.
it seems the phone is able to lock in the following conditions:
1.switch to offline mode;
2.shut off, restart;
3.keep offline mode when asked;
4.fire up location-test, fix acquired in about 10 minutes.

I closed the location-test, switched off the gps from settings->locations, went
to online mode (cell radio), then tried again in about 30 minutes. This time it
wasn't able to get a fix, despite seeing plenty of sats.
It appears something goes wrong after stopping the internal gps, requiring a
clean restart. I'm not yet sure if the cell radio has any negative effect,
though it shouldn't.

I'll try to refine this to isolate the exact working/non working scenario.
Comment 17 Quim Gil (reporter) nokia 2009-12-18 23:04:34 UTC
Forgot to say that the parallel locks that I got this afternoon were acquired
with both devices in Offline mode (being the reason that I had a wlan at reach
and didn't want to get any potential data from there, just in case).

(In reply to comment #14)
> Does the developper team reproduce this issue ?

The problem is that it's not clear which is the issue to be reproduced. One
possibility could be simply be that the GPS antenna can't get a reception good
and reliable enough to obtain locks consistently. If this is the problem then
there is litle that can be done.

However, there might a be possibility that something else refrains the location
framework from providing a lock. This is why more tests by more people during
more days in similar and diffdrent conditions are useful. Perhaps we find a
pattern, a software bug. 

> Are more logs needed ?

I don't know if they are needed, if they tell something to the experts. I post
then here as a proof.  :)
Comment 18 Quim Gil (reporter) nokia 2009-12-18 23:46:47 UTC
More tests, this time from inside a room, with the device touching the window
that gives to the street. My hopes are very low since this is a 1st floor in a
small street with 3 floor buildings in front.

Starting Offline, only 1 or 2 satellites at view.

Then Online, and quickly going up to 8 and 11 satellites at view. But no lock.
The data shown is still the data cached.

Back to offline and back to online shows clearly different results as reported
above.

Reboot device, start Offline. 1-2 satellites.

Move to online mode.... Same results! 1-2 satellites, nothing near the 8-11 of
before. Switching from offline to online doesn't bring any change now.

on_start
on_connected
lat = 51,100000, long = 10,500000; speed = 0,684000; track = 18,120000; climb =
0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 0, in use: 0
lat = 51,100000, long = 10,500000; speed = 0,684000; track = 18,120000; climb =
0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Mobile Country Code WCDMA: 262
Satellites in view: 0, in use: 0
lat = 51,100000, long = 10,500000; speed = 0,684000; track = 18,120000; climb =
0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 1, in use: 0
lat = 51,100000, long = 10,500000; speed = 0,684000; track = 18,120000; climb =
0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Comment 19 Quim Gil (reporter) nokia 2009-12-19 14:35:46 UTC
More tests. In a park with open sky. I start Online, seeing 8 or more
satelites. No lock after 5 minutes. I go offline, seeing less satellites... but
a lock comes after 2 minutes.

Satellites in view: 1, in use: 0
lat = 51,100000, long = 10,500000; speed = 0,684000; track = 18,120000; climb =
0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 2, in use: 0
lat = 51,100000, long = 10,500000; speed = 0,684000; track = 18,120000; climb =
0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 3, in use: 0
lat = 51,100000, long = 10,500000; speed = 0,684000; track = 18,120000; climb =
0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 4, in use: 0
lat = 51,100000, long = 10,500000; speed = 0,684000; track = 18,120000; climb =
0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 5, in use: 0
lat = 51,100000, long = 10,500000; speed = 0,684000; track = 18,120000; climb =
0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 9, in use: 0
lat = 51,100000, long = 10,500000; speed = 0,684000; track = 18,120000; climb =
0,000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 11, in use: 0
lat = 50,913049, long = 6,915267; time = 1261222619,000000; alt = 113,500000;
speed = 0,684000; track = 18,120000; climb = 0,000000; ept = 0,000000e+00, eph
= 1,924000e+03, epv = 2,700000e+01, epd = nan, eps = nan, epc = nan
Satellites in view: 7, in use: 6
lat = 50,912993, long = 6,915147; time = 1261222620,000000; alt = 122,000000;
speed = 0,288000; track = 125,240000; climb = 0,000000; ept = 0,000000e+00, eph
= 2,788000e+03, epv = 3,100000e+01, epd = 3,599900e+02, eps = 1,836000e+00, epc
= 3,000000e-02
Satellites in view: 11, in use: 6
lat = 50,913008, long = 6,915204; time = 1261222621,000000; alt = 118,000000;
speed = 0,252000; track = 195,570000; climb = 0,040000; ept = 0,000000e+00, eph
= 7,990000e+03, epv = 7,050000e+01, epd = 3,599900e+02, eps = 1,620000e+00, epc
= 1,270000e+00
Satellites in view: 11, in use: 5
lat = 50,913033, long = 6,915271; time = 1261222622,000000; alt = 112,000000;
speed = 0,684000; track = 163,620000; climb = 0,090000; ept = 0,000000e+00, eph
= 2,788000e+03, epv = 4,750000e+01, epd = 3,599900e+02, eps = 1,584000e+00, epc
= 1,240000e+00
Satellites in view: 12, in use: 6
lat = 50,913042, long = 6,915309; time = 1261222623,000000; alt = 108,000000;
speed = 1,368000; track = 316,850000; climb = -0,230000; ept = 0,000000e+00,
eph = 2,162000e+03, epv = 3,800000e+01, epd = 1,798000e+02, eps = 1,836000e+00,
epc = 1,250000e+00
Satellites in view: 12, in use: 6
lat = 50,913041, long = 6,915331; time = 1261222624,000000; alt = 107,000000;
speed = 1,116000; track = 199,930000; climb = 0,050000; ept = 0,000000e+00, eph
= 3,215000e+03, epv = 4,950000e+01, epd = 3,375200e+02, eps = 1,620000e+00, epc
= 1,270000e+00


Then I went to the same garden where I made the test with the 2 devices
yesterday. I started with 2 devices Offline, seeing 4 satellites at most with
both. Then I turned the primary device Online. It went quickly to 8 satellites
and more, and got a fix in less than one minute. in the meantime the Offline
device slowly found more satellites and got a lock as well, only a minute
after.

The log of the Online device that got the first lock, first starts offline:

on_start
on_connected
lat = 50,913061, long = 6,915387; time = 1261222634,000000; alt = 100,500000;
speed = 2,664000; track = 54,330000; climb = -0,510000; ept = nan, eph = nan,
epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 0, in use: 0
lat = 50,913061, long = 6,915387; time = 1261222634,000000; alt = 100,500000;
speed = 2,664000; track = 54,330000; climb = -0,510000; ept = nan, eph = nan,
epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 2, in use: 0
lat = 50,913061, long = 6,915387; time = 1261222634,000000; alt = 100,500000;
speed = 2,664000; track = 54,330000; climb = -0,510000; ept = nan, eph = nan,
epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 3, in use: 0
lat = 50,913061, long = 6,915387; time = 1261222634,000000; alt = 100,500000;
speed = 2,664000; track = 54,330000; climb = -0,510000; ept = nan, eph = nan,
epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 4, in use: 0
lat = 50,913061, long = 6,915387; time = 1261222634,000000; alt = 100,500000;
speed = 2,664000; track = 54,330000; climb = -0,510000; ept = nan, eph = nan,
epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 3, in use: 0
lat = 50,913061, long = 6,915387; time = 1261222634,000000; alt = 100,500000;
speed = 2,664000; track = 54,330000; climb = -0,510000; ept = nan, eph = nan,
epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 4, in use: 0
on_connected

((((here is when I go to Online mode, without stopping the test)))

lat = 50,913061, long = 6,915387; time = 1261222634,000000; alt = 100,500000;
speed = 2,664000; track = 54,330000; climb = -0,510000; ept = nan, eph = nan,
epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 4, in use: 0
lat = 50,913061, long = 6,915387; time = 1261222634,000000; alt = 100,500000;
speed = 2,664000; track = 54,330000; climb = -0,510000; ept = nan, eph = nan,
epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 8, in use: 0
lat = 50,913061, long = 6,915387; time = 1261222634,000000; alt = 100,500000;
speed = 2,664000; track = 54,330000; climb = -0,510000; ept = nan, eph = nan,
epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 12, in use: 0
lat = 50,913061, long = 6,915387; time = 1261222634,000000; alt = 100,500000;
speed = 2,664000; track = 54,330000; climb = -0,510000; ept = nan, eph = nan,
epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 14, in use: 0
lat = 50,908574, long = 6,795310; time = 1261225289,000000; alt = 150,500000;
speed = 2,664000; track = 54,330000; climb = -0,510000; ept = 0,000000e+00, eph
= 2,667000e+03, epv = 3,750000e+01, epd = nan, eps = nan, epc = nan
Satellites in view: 14, in use: 6
lat = 50,908576, long = 6,795303; time = 1261225290,000000; alt = 148,500000;
speed = 2,664000; track = 54,330000; climb = -0,510000; ept = 0,000000e+00, eph
= 4,845000e+03, epv = 9,750000e+01, epd = nan, eps = nan, epc = nan
Satellites in view: 14, in use: 6
Comment 20 Quim Gil (reporter) nokia 2009-12-19 14:44:16 UTC
And this is the log from ther secondary device, that was offline all the time:

on_start
on_connected
lat = 50.908644, long = 6.795220; time = 1261146495.000000; alt = 119.500000;
speed = 0.216000; track = 228.520000; climb = 0.000000; ept = nan, eph = nan,
epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 0, in use: 0
lat = 50.908644, long = 6.795220; time = 1261146495.000000; alt = 119.500000;
speed = 0.216000; track = 228.520000; climb = 0.000000; ept = nan, eph = nan,
epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 1, in use: 0
lat = 50.908644, long = 6.795220; time = 1261146495.000000; alt = 119.500000;
speed = 0.216000; track = 228.520000; climb = 0.000000; ept = nan, eph = nan,
epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 2, in use: 0
lat = 50.908644, long = 6.795220; time = 1261146495.000000; alt = 119.500000;
speed = 0.216000; track = 228.520000; climb = 0.000000; ept = nan, eph = nan,
epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 3, in use: 0
lat = 50.908644, long = 6.795220; time = 1261146495.000000; alt = 119.500000;
speed = 0.216000; track = 228.520000; climb = 0.000000; ept = nan, eph = nan,
epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 4, in use: 0
lat = 50.908644, long = 6.795220; time = 1261146495.000000; alt = 119.500000;
speed = 0.216000; track = 228.520000; climb = 0.000000; ept = nan, eph = nan,
epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 2, in use: 0
lat = 50.908644, long = 6.795220; time = 1261146495.000000; alt = 119.500000;
speed = 0.216000; track = 228.520000; climb = 0.000000; ept = nan, eph = nan,
epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 4, in use: 0
lat = 50.908644, long = 6.795220; time = 1261146495.000000; alt = 119.500000;
speed = 0.216000; track = 228.520000; climb = 0.000000; ept = nan, eph = nan,
epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 5, in use: 0
lat = 50.908644, long = 6.795220; time = 1261146495.000000; alt = 119.500000;
speed = 0.216000; track = 228.520000; climb = 0.000000; ept = nan, eph = nan,
epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 4, in use: 0
lat = 50.908644, long = 6.795220; time = 1261146495.000000; alt = 119.500000;
speed = 0.216000; track = 228.520000; climb = 0.000000; ept = nan, eph = nan,
epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 6, in use: 0
lat = 50.908644, long = 6.795220; time = 1261146495.000000; alt = 119.500000;
speed = 0.216000; track = 228.520000; climb = 0.000000; ept = nan, eph = nan,
epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 7, in use: 0
lat = 50.908540, long = 6.795106; time = 1261225327.000000; alt = 120.500000;
speed = 0.216000; track = 177.260000; climb = 0.030000; ept = 0.000000e+00, eph
= 1.960000e+03, epv = 2.700000e+01, epd = 3.599900e+02, eps = 1.944000e+00, epc
= 1.570000e+00
Satellites in view: 7, in use: 6
lat = 50.908568, long = 6.795063; time = 1261225327.000000; alt = 124.000000;
speed = 0.288000; track = 210.420000; climb = -0.070000; ept = 0.000000e+00,
eph = 1.748000e+03, epv = 2.400000e+01, epd = 3.599900e+02, eps = 3.420000e+00,
epc = 1.550000e+00
Satellites in view: 7, in use: 6
lat = 50.908581, long = 6.795066; time = 1261225328.000000; alt = 125.500000;
speed = 0.396000; track = 198.080000; climb = -0.080000; ept = 0.000000e+00,
eph = 1.690000e+03, epv = 2.200000e+01, epd = 3.599900e+02, eps = 2.916000e+00,
epc = 1.550000e+00
Satellites in view: 7, in use: 6
lat = 50.908590, long = 6.795072; time = 1261225330.000000; alt = 127.000000;
speed = 0.396000; track = 205.730000; climb = -0.010000; ept = 0.000000e+00,
eph = 1.983000e+03, epv = 3.250000e+01, epd = 3.599900e+02, eps = 3.492000e+00,
epc = 1.800000e+00
Satellites in view: 7, in use: 6
lat = 50.908596, long = 6.795073; time = 1261225331.000000; alt = 127.000000;
speed = 0.612000; track = 211.450000; climb = -0.360000; ept = 0.000000e+00,
eph = 4.526000e+03, epv = 9.150000e+01, epd = 3.599900e+02, eps = 4.104000e+00,
epc = 2.270000e+00
Satellites in view: 7, in use: 6
lat = 50.908601, long = 6.795075; time = 1261225332.000000; alt = 127.500000;
speed = 0.360000; track = 198.200000; climb = -0.010000; ept = 0.000000e+00,
eph = 3.596000e+03, epv = 7.150000e+01, epd = 3.599900e+02, eps = 3.312000e+00,
epc = 1.960000e+00
Satellites in view: 7, in use: 6
on_stop
lat = 50.908605, long = 6.795079; time = 1261225333.000000; alt = 128.000000;
speed = 0.252000; track = 162.570000; climb = 0.010000; ept = 0.000000e+00, eph
= 2.931000e+03, epv = 5.650000e+01, epd = 3.599900e+02, eps = 1.944000e+00, epc
= 1.920000e+00
Satellites in view: 10, in use: 6
on_disconnected
lat = 50.908605, long = 6.795079; time = 1261225333.000000; alt = 128.000000;
speed = 0.252000; track = 162.570000; climb = 0.010000; ept = 0.000000e+00, eph
= 2.931000e+03, epv = 5.650000e+01, epd = 3.599900e+02, eps = 1.944000e+00, epc
= 1.920000e+00
Satellites in view: 10, in use: 6



As you can see, I'm getting locks from 30 seconds to 2-4 minutes in almost all
the tests done in ideal conditions of open sky and staying in a same place. It
would be good to receive more tests in such conditions. Let's keep aside now
more complicated situations like being in the window of a building or driving.
Also try to change from Online to Offline and viceversa to see if it makes any
difference, letting 5 minutes between changes to be sure.

I will start alternating with AGPS and Ovi Maps in my primary device, to see if
the results without AGPS are affected, keeping the secondary device only for
pure GPS and location-test-gui.
Comment 21 fira 2009-12-19 15:57:20 UTC
Repeated the test, same location as yesterday. Phone was on during the night.
No fix for about 20 minutes, between 8-11 sats in view.
After restarting the phone, fix acquired in less than 5 minutes.
Confirming that going online (cell radio) brings up more sats in view but with
no positive effect towards fixing time.
In my case it seems that the only way to get a fix is to start with the phone
freshly rebooted. A long uptime seems to corrupt something somewhere.
Comment 22 Jeroen Wouters 2009-12-19 19:56:03 UTC
After doing a full reflash (eMMC + firmware) and only installing the location
test app, I have been able to get unassisted fixes for the first time. The
first time it took around 20 min., afterwards a lot faster.
This was 7 days ago. Somehow I have now have lost the ability to get unassisted
fixes again. Somewhere between initial testing and now, I have restored my
settings from a backup and reinstalled my applications. I'll try to rule them
out as a cause now by reflashing, immediately followed by restoring settings
and apps.
Comment 23 Quim Gil (reporter) nokia 2009-12-20 15:03:28 UTC
Went to the same position in the garden as in the 2 previous days, with my 2
devices. 

The primary was booted with Ovi Maps now, Offline and without A-GPS.
The secondary used the location-test-gui tool while being Offline.

Got a lock within 2 minutes with the primary device and Ovi Maps asked to go
Online to download the maps.

The secondary device got a lock 1 minute later.

I will start using A-GPS and Ovi Maps normally with the primary device and will
keep doing this daily test in the garden with the second device as well.
Comment 24 luarvique 2009-12-20 15:24:32 UTC
(In reply to comment #23)
> Went to the same position in the garden as in the 2 previous days, with my 2
> devices. 
> Got a lock within 2 minutes with the primary device and Ovi Maps asked to go
> Online to download the maps.
> The secondary device got a lock 1 minute later.
Do notice that there appear to be some internal caching (albeit I could not
figure out how it works). To make sure there is no cached data being used, do
not use GPS for a day or two, then perform the test.

PS: Right now, the comments to this tracker look like they are coming from a
bunch of blind people describing the elephant. Quim, it would be really easier
if the Maemo GPS subsystem developer(s) could log onto t.m.o and discuss the
problem interactively with the interested users. The Exchange plugin guy has
done it and nothing bad happened so far.
Comment 25 Quim Gil (reporter) nokia 2009-12-21 01:08:09 UTC
Can you please try this?

0. SIM card inserted.
1. Settings - Location - Network positioning ENABLED
2. Settings - Internet connection - Connect automatically ALWAYS ASK
3. Settings - Phone - Data roaming ALWAYS ASK
4. Settings - Phone - Data counter - write down values or CLEAR
5. Start Ovi Maps. 
6. Cancel all requests to connect or download data.

How long does it take to get a coarse lock? You can even try indoors.

If you are outside, how much extra time is needed to get a fine accurate lock?
Check the location status area plugin if you can't see it clearly with Ovi
Maps.

Those of you with location_test-gui installed can use it to extract more
accurate data of satellites at view and used.

Once you are done with the tests check again  Settings - Phone - Data counter
to make sure you haven't downloaded accidentally any data from the network
(meaning: making sure these locks didn't cost you any money).

Looking forward to your results.
Comment 26 Quim Gil (reporter) nokia 2009-12-21 11:46:57 UTC
3 tests with Ovi Maps and A-GPS enabled but no wlan/data/roaming:

- At home, inside a room. Got a coarse lock within seconds, 20 metres away from
my real situation. Of course I didn't get a fine accurate lock: I was indoors.

- Going to the bakery walking through a street with 4 store building at both
sides in the city of Cologne. Coarse lock within seconds, fine lock in less
than 30 seconds. Fine lock kept all the way to the bakery (300 meters).

- Driving from Cologne to Frechen, about 15 km. Device in the passenger seat
since I don't have a proper support. A lock within seconds, following all the
way. Couldn't check whether the fix was coarse or fine (I was driving) but the
point shown in the map was always quite accurate, enough for me not to bother
(e.g. always on top of the road without jumps outside).

Considering that the main concern for avoiding A-GPS was to avoid data
downloads (costs), I think that having A-GPS enabled but connections closed is
a very good solution. Does it work in your tests as well?

Yes, we still need to keep investigating the cases without A-GPS at all (no
network at all or not SIM) but I would say that A-GPS without data
connectivity/roaming solves the problem for a majority of users in a majority
of situations.

Still looking forward to your test results.  :)
Comment 27 Ian Stirling 2009-12-21 19:47:55 UTC
Comment on #25. (as on IRC)

T-mobile UK, following the steps outlined indoors - no lock after 5 mins.
several bars of 2g or 3g signal.

location-test-gui reported positional uncertainty as 600km - I assume from
cell-country.

A reboot did not change this.

Allow it to use wifi, and it gets a position within 3500m reported error in
several seconds. 
Leave it alone for a few mins, and it gets a gps lock (5/11 sats) with a
reported error of around 100m. 

I found the other SIM I mentioned - which is on vodafone - however I realised
that the reason I'm not using it was that it doesn't have signal here - and I'm
not going outside at the moment in the dark, when it's snowing to get signal :)
maybe tomorrow.
Comment 28 Andrej Krutak 2009-12-22 01:18:45 UTC
> PS: Right now, the comments to this tracker look like they are coming from a
> bunch of blind people describing the elephant. Quim, it would be really easier
> if the Maemo GPS subsystem developer(s) could log onto t.m.o and discuss the
> problem interactively with the interested users. The Exchange plugin guy has
> done it and nothing bad happened so far.

this is exactly the problem... instead of posting logs of how long it took to
receive a lock, it'd be much more helpful, if detailed logs could be acquired
(like what data was received from gps satellites | what was calculated from
it).. 

this obviously isn't going to happen, due to completely closed
firmware/location api - only being able to receive calculated
position+accuracy+#satellites is quite useless for debugging,imho - the 
developer responsible for gps stack will gather more useful data in minutes,
than we can after day of testing...

combine that with low knowledge of the gps system itself, which is obvious from
some of the posts here - and we can stop wasting our time here, this can' be
resolved by us, nor can we assist too much...

we know next to nothing about the gps hw, used algorithms and caching (i was
searching infos on the gps hw for several hours today.. seems to be rather well
hidden in system to be debugged by an outside guy) - and I wonder, how's it
possible that such bug as gps not being able to acquire lock (except using
network positioning,which doesn't use gps at all) could even pass internal
tests...

if we had source code, the debugging could be a matter of hours... now the only
thing to do is wait and hope someone in nokia is looking into it..

proprietary software rules...
Comment 29 Quim Gil (reporter) nokia 2009-12-22 11:33:35 UTC
Let me be clear on something: I'm doing this *bug triaging* work as a
volunteer. I pick bug reports that are relevant to the community and help
digging them out. Bug 5337 lead us to this bug here since Ovi Maps was not the
only one to blame. Now I'm here trying to help finding out where is the problem
and how big is it's impact.

If you look at my tests, I'm getting locks in mostly within 2 minutes without
AGPS, and now with the "free of charge" AGPS I'm getting coarse locks within
seconds that in open air lead to fine accurate locks within a minute. I'm
asking for testers with GPS problems in this bug, Bug 5337 and
http://talk.maemo.org/showthread.php?p=436482&highlight=gps#post436482 to see
if people get now locks or there is still problems. So far only Ian Stirling
has reported back (than you!) and his problem might point to the GPS bug
affecting T-Mobile users. I'm still looking forward to more reports.

There is a suspicion that GPS works decently out of the box but something gets
corrupted over time. I'm keeping using my device in several kinds of GPS/AGPS
use to see if I get to a point where I don't get unassisted locks anymore, not
even after rebooting the device. So far I keep getting locks, and this is why
I'm asking testers here to reboot devices and, if possible, reflash them to see
if there is an improvement.

Once we have a founded suspicion that the system gets corrupted over time we
will file a bug internally. In the meantime the answer from the team is that
the GPS capabilities of the device can't be compared to a specialized unit, the
antenna can't get signals strong enough in some circumstances without AGPS and
this leads to very slow or unexistant locks.

Also I really want to see is the solution of AGPS free of charge works for a
majority since AGPS is there to be used and what bothers to people is having to
pay extra money for data, not the AGPS itself.

Maybe opening the GPS and location frameworks would help finding the causes of
the problem, but it has been decided that they stay closed and bug reports
won't be the cause for opening them.

If as a Nokia customer you are unhappy about all this please feel free
contacting Nokia Care explaining your problem with all details, including bug
numbers if you wish. This bugzilla is a place to collaborate finding solutions
to problems. If a bug is bugging you please vote it and provide any clues
helping to identify it and solve it. Extra complaints and bad mood aren't
really helpful, specially not to bring specialized Nokia engineers here.

Thank you for your understanding. And by the way, does the AGPS free-of-charge
trick work for you? Do you get more and faster fine accurate locks thanks to
it?
Comment 30 Andrej Krutak 2009-12-22 13:15:20 UTC
First of all, sorry if my message sounded like I don't value your efforts - you
obviously are a very useful member of the maemo community for a long time now
(which I joined only recently)... My lines above only stated, that the time you
invest into this concrete matter might not be efficiently spent. But I get it -
you want to provide a solution, until official one gets out...

From what I've read above, I'm not sure we all use the same terminology here -
have you all read
http://wiki.maemo.org/PyMaemo/Using_Location_API#Location_methods
 ?

If not, a quick recap of what A-GPS means in maemo (at least how I *think* it
works - I've been working with gps for some time now as developer, so it could
be right :) ):

CWP)

a very very very coarse position by using center point of the country you are
currently in... (or a cached=offline version of the following)


ACWP)

this one only works if you are connected to internet. Basically the phone looks
around for wifi networks (and possibly gsm cells) - and asks server (e.g.
supl.nokia.dom), what the GPS position could be, when you have these
surrounding networks in sight..

Once you get position from the real GPS device itself, you can in turn provide
the information to the server (possibly this is what nokia does - and android
does this too, afaik). If you are not connected to internet, you obviously can
only use data you have cached - and if you don't have any for the currently
surrounding networks, this falls down to CWP obviously...

question here is - where are is the cache placed in n900? if this was known,
you wouldn't have to reset the phone to factory settings - you would only
delete these data... The problem could be, if it was stored inside the GPS
device (probably it isn't), you can't touch that easily :)

GNSS)

this is when GPS is activated - it doesn't require nothing more to get a fix. 

For a GPS device to get a fix, it needs to first know positions of GPS
satellites = to download ephemeris. All GPS satellites broadcast this ephemeris
positions, and a regular GPS device is able to receive it within less than one
minute, in ideal conditions (and it's technically impossible to get a cold fix
under ~30-40seconds for a regular GPS device). Additionally, ephemeris get
outdated every few hour or so, so you have to redownload/receive...

*This* seems to be the problem for N900 - it seems to cannot receive this
informations form satellites, and has to currently rely on AGNSS therefore.

Once ephemeris are received, the lock is usually a question of a few seconds,
if enough (>2) satellites are in view and the signal is good...

AGNSS)

this circumvents the long initial receiving (and possibly unreliable)  of
ephemeris - these informations can be downloaded from internet. By using this
approach, you can obviously get fix in seconds...



now what this means for "us"...


If you have internet connection, the initial coarse position doesn't mean
anything - it could be position based on surrounding wifi networks, gsm cells
(=ACWP+AGNSS)... Or it is possible that you received ephemeris from internet
and GPS is initialized. You don't need to reset anything - after few hours,
ephemeris are invalid and can't be used for the calculation of position...

If you enable network positioning, but don't have internet connection, you only
receive fix, if you have already seen surrounding networks and their position
is previously cached (=CWP or GNSS). Go figure out, where the cache is :)

If you disable network positioning and inet conn., GPS device is all on its own
(GNSS).


I'm kind of lost, although I've read most of the above reports, what's the
target now...

To only prove the initial report? Or to find out how to provide better signal
for GPS receiver? We obviously can't make things better, if the ephemeris
-gathering algorithm in GPS device is somehow shitty, and if it's hardcoded...
That's what only Nokia/TI developers know and may fix...

As for my observations, where a dedicated bluetooth GPS device gets lock within
minute, I could leave N900 there for tens of minutes - and nothing... The
"funny" part is, that I get more fix-getting-progress informations from the
btgps (which only outputs NMEA sentences), than I get from a GPS device placed
a few inches from N900's cpu :)

I'll gladly help with any testing - but it'd be nice, if some insider could
stop by... I don't see what can we do currently - except for stating "it
doesn't work" :-( And you provided more than enough test data (to the extent
it's possible for regular users), imho, if anyone from nokia's interested in
using it...
Comment 31 Andre Klapper maemo.org 2009-12-22 13:27:17 UTC
Though appreciated, posting an introduction to GPS does not belong into a
bugtracker. Please stay focused on the technical issue here.
(talk.maemo.org might be a way better place.)
Comment 32 Quim Gil (reporter) nokia 2009-12-22 14:12:58 UTC
In which category falls the situation where "Network positioning" is enabled
but there is no wlan/data connection to the Internet? This is what I'm calling
GPS-free-of-charge and seems to be very useful getting faster coarse locks
leading to faster fine accurate locks.
Comment 33 Andrej Krutak 2009-12-22 16:06:13 UTC
(In reply to comment #32)
> In which category falls the situation where "Network positioning" is enabled
> but there is no wlan/data connection to the Internet? This is what I'm calling
> GPS-free-of-charge and seems to be very useful getting faster coarse locks
> leading to faster fine accurate locks.
> 

that's CWP - it works, if you received fix before - for the particular
constalation of wlans/gsm cells - and it's cached somewhere.. you could
theoretically even get to accuracy of ~20-50m with this, depending on how is it
implemented in maemo (which i don't know)......

however this coarse lock most probably doesn't (at least I can't see how) help
the GPS to initialize - you really need these ephemeris, otherwise GPS can't
interpolate the position..

I'd say that if you saw improvements with network positioning + no internet
connection, it was more of a coincidence... But if someone proves me wrong, I'd
be happy to hear about how it works (propably outside this bugzilla, sorry
Andre :-) )...
Comment 34 Jeroen Wouters 2009-12-22 16:20:54 UTC
I believe I have found out where some of the cached GPS data are kept:
/etc/osso-af-init/gconf-dir/system/nokia/location/lastknown/%gconf.xml
Moving this file out of the way and rebooting before starting the GPS test
seems to resolve the problem. Can anyone confirm this?

1. Enter 'mv
/etc/osso-af-init/gconf-dir/system/nokia/location/lastknown/%gconf.xml
/home/user/%gconf.xml.backup' in the X-terminal
2. Reboot
3. Try to get an unassisted GPS fix
Comment 35 Quim Gil (reporter) nokia 2009-12-24 01:02:30 UTC
Created an attachment (id=1839) [details]
command line utility to clear GPS data

The actual position engine as well as the GPS cache are inside cellmo, and
hence it's not directly possible to clear cache from xterm. However here you
have a little binary that does precisely this. Run it as root in xterm.

N.B. Location-test-gui's number of satellites in view might not be up to date
after running this, so restarting location-test-gui is needed.
Comment 36 David Hautbois 2009-12-24 14:33:48 UTC
It seems to work for me.

Is it a permanent fix ?
I get a fix (with GSM on, Wifi off, AGPS off)
restarted the device.
get a fix (with GSM on, Wifi off, AGPS off)
get a fix (with GSM on, Wifi off, AGPS on)
get a fix (with GSM on, Wifi off, AGPS off)
restarted the device.
get a fix (with GSM on, Wifi off, AGPS off)
get a fix (with GSM on, Wifi off, AGPS on)
get a fix (with GSM on, Wifi off, AGPS off)
etc...

I cant reproduce the original issue :no fix with GSM on, Wifi off, AGPS
disabled.
I made many tests, and now, I don't trust in my tests and the results...
Comment 37 Quim Gil (reporter) nokia 2009-12-26 15:15:39 UTC
fwiw I summarized interesting input in Bug 5337 :

Comments 0-12 claim the GPS won't get a lock even trying during hours but don't
mention the application(s) they were using to do that. Was that Ovi Maps? 

There are several comment like "Restarting the map app and waiting 15 more
minutes did nothing." - note that after 1 minute Ovi Maps would not try
further. Please do your tests again at least with the Location widget
(restarting after 5 minutes) or even better with the location-test-gui, that
provides more information and doesn't stop unless you stop it.

See Bug 5337 Comment #74 where luarvique (initial reporter) does some parallel
tests with Ovi Maps and location-test-gui. The bug report focuses on the way
Ovi Maps attempts top retrieve GPS data.

Bug 5337 Comment #13 (Donn Morrisson) is the first mentioning one applicatio
(GPXView) and reports a fix in 3-4 minutes.

Bug 5337 Comment #17 and Comment 18 from Jeroen Wouters claims the problem
relies in the way Ovi Maps attempts to get a GPS lock. 

You asked for a way to purge GPS cached data. Please check Comment #35

Bug 5337 Comment #25 - tz suggests that this might be related to a corrupt
file. 

Bug 5337 Comment #33 (dave@) starts a line of suspicion about a specific
problem with T-Mobile users.

Bug 5337 Comment #36 (Venomrush) suggests that another problem might be the
possibility of not keeping stored cached data.

Bug 5337 Comment #98 (Jamie Lokier) comments on the apparent usefulness of
being Online even if no data connection will be used inorder to have more
satellites at view.
Comment 38 Maxx 2009-12-28 00:18:09 UTC
+1 from me.
I got the same issue. Cannot find Satellites nor lock the GPS at all. Tried
leave it on for more than 20mins and still have nothing.

NOKIA should provides us a better map application. With offline search support
and fast locking GPS without aid of connection.
Comment 39 Quim Gil (reporter) nokia 2009-12-28 01:22:35 UTC
fwiw there is a new report In Bug 5337 Comment #113 . Quoting:

"- Using the Location Test application, I was reliably able to obtain a lock
after the device had located 8-9 satellites (which usually took 2-5 minutes,
even under sub-optimal conditions)."

(In reply to comment #38)
> +1 from me.
> I got the same issue. Cannot find Satellites nor lock the GPS at all. Tried
> leave it on for more than 20mins and still have nothing.

Thank you for the feedback but please provide more detailed data. Please see
Comment #3

If what you did was leaving Ovi Maps open during 20 minutes then see Bug 5337
where we are dealing with the problem that Ovi Maps won't search further after
1 minute.
Comment 40 mustali 2009-12-28 03:50:12 UTC
Here are my testing notes:
- Test performed using Location-Test utility
- Location: Antwerp, Belgium. late night, near a cold window
- No cellular-data connection
- Prior to each test, GPS data was cleared using the attached CLI utility
- No -> Disabled
- Yes -> Enabled/Connected

Network-Positioning Enabled
--Phone-Wifi--CellMo-------Start---Sat---Fix---Notes
1  No   No   offline       01:15   4/4  01:18  3min.
2  Yes  No   online        01:21   4/4  01:22  1min. Prompted for conn
3  Yes  Yes  online        01:24   4/4  01:24  30 seconds
4  No   No   tablet_state  01:29   4/4  01:30  1min. Prompted for conn once

Network-Positioning Disabled
--Phone-Wifi--CellMo-------Start---Sat---Fix---Notes
5  No   No   offline       02:00   4/4  02:02  2min. Unexpectedly fast fix
6  Yes  No   online        02:04   4/6  02:12  8min. Prompted for conn 
7  Yes  Yes  online        01:44   0/4         NO fix in 15 minutes
8  Yes  Yes  online        02:27   4/6  02:35  8min.
9  No   No   tablet_state  02:17   4/4  02:20  Prompted for conn once


GPS fix was fast when Network-Positioning was on (free-of-charge AGPS).  
However, the results when it was off were not intuitive. Test 5 & 9 
should have taken longer but didn't. A repeat of Test 7 showed better 
results.

Until Ovi Maps bug is fixed, I will be using Location-Test to get a fix before
opening Ovi Maps.
Comment 41 Michael 2009-12-28 09:02:35 UTC
My report:
After receiving the phone I got the fix once and since then it never worked.

Location Test Gui would find plenty of satelites (6-12) but none were reported
in use. Tried it for hours outside in different locations.

Removing /etc/osso-af-init/gconf-dir/system/nokia/location/lastknown/%gconf.xml
to no effect.

Today after using the cli utility up in the attachment, I got a fix within
about 5 minutes after getting about 6-7 viewable satellites. Ovi, Maep and
other GPS apps worked great.

The lock kept for hours, even inside the house.

Lets see what tomorrow brings.
Comment 42 K Bouton 2009-12-28 16:00:37 UTC
I am new to Linux, and the n900. I am a geocacher and am looking forward to
using this for my addiction. I have not installed the CLI to clear cache, nor
the location-test-gui as I am a coward.

But I wanted to help out if I could so, following comments #25, for all of the
following these are my settings:

0. SIM card inserted. - YES
1. Settings - Location - Network positioning ENABLED - YES
2. Settings - Internet connection - Connect automatically ALWAYS ASK - YES
3. Settings - Phone - Data roaming ALWAYS ASK - YES
4. Settings - Phone - Data counter - write down values or CLEAR
5. Start Ovi Maps. 
6. Cancel all requests to connect or download data.

A. Location inside mews house in london (ie deep inside building) with settings
as above - no satellites, no location. As expected really I guess

Then I went outside to test.

B.  Location, middle of field in Hyde park. Buildings way off in distance.
Skies clear, no trees, cold!

i) powered phone on
Opened Ovi maps 13:03
asked for connection twice - both times i clicked out of screen to ignore
location box in settings at top - searching... then the location box
disappeared. By 13:08, still no position. Closed Ovi and powered phone off

ii) powered phone on with settings above. Opened gpxview. satellite icon
flashing, but details of geocache said no satellite info. Closed app and
powered phone off.

iii) Same location outside, settings - allowed data connection to O2 PAYG, with
network GPS enable, but no GPS enabled. Got almost instant coarse accuracy as
shown in the settings location tab(?) on desktop. Opened Ovi Map - red line
through satellite, no postion shown.

iv) Same location, as iii but opened gpxview. Instant position on map with
position more than 1000m off. Very coarse indeed.

v) closed gpxview, reopened ovi just to see if it had goten any better - still
red line through satellite.

Next - enabled GPS, network connection and network GPS. 
Both Ovi and gpxview almost instantly had map and position very darn close to
accurate

So, don't know what this means, but hope it helps you...
Comment 43 Martti 2009-12-28 17:41:55 UTC
Testing with SIM card (Saunalahti) inserted.
1. Settings - Location - Network positioning ENABLED - YES
2. Settings - Internet connection - Connect automatically ALWAYS ASK - YES
3. Settings - Phone - Data roaming ALWAYS ASK - YES
4. Settings - Phone - Data counter - write down values or CLEAR
5. Start Ovi Maps. 

Test1, inside building in middle of Helsinki
N900 asked 2 times to connect, refused.
Waited approx. 15 minutes, no lock. Maps is showing prev. location that is
about 150 km away. Red bars on top of satellite icon and the pile of vertical
bars.
Test2, went on the street, waited for 5 minutes, no lock. Too cold and wet to
wait. Turned on net connection. Lock in few seconds, but position off for
approx. 1 km (red dot on top of main railroad track close to botanic garden)
Back in building, location remains unchanged after 10 minutes
Comment 44 Martti 2009-12-28 17:51:17 UTC
Left N900 on the table with connection on. Location changing now closer (about
50 meters off)after 10 minutes, then jumped back to 1km offset.
Comment 45 nivw2008 2009-12-28 21:30:48 UTC
I also had some issues with ovi maps and the gps. Three tests I ran tonight:
case 1:
0. SIM card inserted. - No
1. Settings - Location - Network positioning ENABLED - YES
2. Settings - Internet connection - Connect automatically ALWAYS ASK - YES
3. Settings - Phone - Data roaming ALWAYS ASK - YES
4. Settings - Phone - Data counter - write down values or CLEAR
5. ran clear-gps-cache ar root
6. started location-test-gui_0.92-1
7. Cancel two requests to connect to data.
-> lock after 1:22 min

Satellites in view: 5, in use: 5
lat = 31.420017, long = 34.577263; time = 1262022407.000000; alt = 148.000000;
speed = 0.180000; track = 253.910000; climb = 0.000000; ept = 0.000000e+00, eph
= 1.807000e+03, epv = 4.200000e+01, epd = 3.599900e+04, eps = 3.900000e+01, epc
= 3.000000e+00
Satellites in view: 5, in use: 5
lat = 31.420018, long = 34.577265; time = 1262022408.000000; alt = 148.000000;
speed = 0.216000; track = 230.840000; climb = 0.000000; ept = 0.000000e+00, eph
= 1.799000e+03, epv = 3.700000e+01, epd = 3.599900e+04, eps = 6.100000e+01, epc
= 3.000000e+00
Satellites in view: 5, in use: 5
lat = 31.420018, long = 34.577266; time = 1262022409.000000; alt = 147.500000;
speed = 0.072000; track = 201.680000; climb = 0.000000; ept = 0.000000e+00, eph
= 1.962000e+03, epv = 6.300000e+01, epd = 3.599900e+04, eps = 7.500000e+01, epc
= 3.000000e+00
Satellites in view: 5, in use: 5
lat = 31.420019, long = 34.577267; time = 1262022410.000000; alt = 147.500000;
speed = 0.108000; track = 222.050000; climb = 0.000000; ept = 0.000000e+00, eph
= 2.070000e+03, epv = 5.400000e+01, epd = 3.599900e+04, eps = 6.500000e+01, epc
= 3.000000e+00
Satellites in view: 5, in use: 5
on_stop
on_disconnected
lat = 31.420019, long = 34.577267; time = 1262022410.000000; alt = 147.500000;
speed = 0.108000; track = 222.050000; climb = 0.000000; ept = 0.000000e+00, eph
= 2.070000e+03, epv = 5.400000e+01, epd = 3.599900e+04, eps = 6.500000e+01, epc
= 3.000000e+00
Satellites in view: 5, in use: 5
1.22

case 2:
0. SIM card inserted. - Yes
1. Settings - Location - Network positioning ENABLED - YES
2. Settings - Internet connection - Connect automatically ALWAYS ASK - YES
3. Settings - Phone - Data roaming ALWAYS ASK - YES
4. Settings - Phone - Data counter - write down values or CLEAR
5. ran clear-gps-cache ar root
6. started location-test-gui_0.92-1
7. Cancel two requests to connect to data.
-> first lock in 1:44
8. exit location-test-gui
9. repeat 6 and 7
-> lock takes 6:18
Satellites in view: 0, in use: 0
lat = 31.400000, long = 35.200000; speed = 0.072000; track = 263.920000; climb
= 0.000000; ept = 0.000000e+00, eph = 2.400000e+07, epv = 6.553500e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 1, in use: 0
lat = 31.400000, long = 35.200000; speed = 0.072000; track = 263.920000; climb
= 0.000000; ept = 0.000000e+00, eph = 2.400000e+07, epv = 6.553500e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 2, in use: 0
lat = 31.400000, long = 35.200000; speed = 0.072000; track = 263.920000; climb
= 0.000000; ept = 0.000000e+00, eph = 2.400000e+07, epv = 6.553500e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 3, in use: 0
lat = 31.400000, long = 35.200000; speed = 0.072000; track = 263.920000; climb
= 0.000000; ept = 0.000000e+00, eph = 2.400000e+07, epv = 6.553500e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 4, in use: 0
lat = 31.400000, long = 35.200000; speed = 0.072000; track = 263.920000; climb
= 0.000000; ept = 0.000000e+00, eph = 2.400000e+07, epv = 6.553500e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 5, in use: 0
lat = 31.400000, long = 35.200000; speed = 0.072000; track = 263.920000; climb
= 0.000000; ept = 0.000000e+00, eph = 2.400000e+07, epv = 6.553500e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 4, in use: 0
lat = 31.400000, long = 35.200000; speed = 0.072000; track = 263.920000; climb
= 0.000000; ept = 0.000000e+00, eph = 2.400000e+07, epv = 6.553500e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 5, in use: 0
lat = 31.400000, long = 35.200000; speed = 0.072000; track = 263.920000; climb
= 0.000000; ept = 0.000000e+00, eph = 2.400000e+07, epv = 6.553500e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 6, in use: 0
lat = 31.400000, long = 35.200000; speed = 0.072000; track = 263.920000; climb
= 0.000000; ept = 0.000000e+00, eph = 2.400000e+07, epv = 6.553500e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 5, in use: 0
lat = 31.400000, long = 35.200000; speed = 0.072000; track = 263.920000; climb
= 0.000000; ept = 0.000000e+00, eph = 2.400000e+07, epv = 6.553500e+04, epd =
nan, eps = nan, epc = nan
Mobile Country Code WCDMA: 425
Satellites in view: 5, in use: 0
lat = 31.400000, long = 35.200000; speed = 0.072000; track = 263.920000; climb
= 0.000000; ept = 0.000000e+00, eph = 2.400000e+07, epv = 6.553500e+04, epd =
nan, eps = nan, epc = nan
Mobile Country Code WCDMA: 425
Satellites in view: 5, in use: 0
lat = 31.420047, long = 34.578427; time = 1262023295.000000; alt = 140.500000;
speed = 0.072000; track = 263.920000; climb = 0.000000; ept = 0.000000e+00, eph
= 4.922000e+03, epv = 7.700000e+01, epd = nan, eps = nan, epc = nan
Satellites in view: 5, in use: 4
lat = 31.420035, long = 34.578423; time = 1262023295.000000; alt = 139.000000;
speed = 14.256000; track = 6.760000; climb = 0.000000; ept = 0.000000e+00, eph
= 4.236000e+03, epv = 6.900000e+01, epd = 5.470000e+02, eps = 4.900000e+01, epc
= 3.000000e+00
Satellites in view: 5, in use: 4
lat = 31.420049, long = 34.578431; time = 1262023296.000000; alt = 138.000000;
speed = 2.340000; track = 136.320000; climb = 0.000000; ept = 0.000000e+00, eph
= 4.605000e+03, epv = 7.900000e+01, epd = 2.248300e+04, eps = 1.320000e+02, epc
= 3.000000e+00
Satellites in view: 8, in use: 4
lat = 31.420025, long = 34.578441; time = 1262023298.000000; alt = 141.000000;
speed = 4.752000; track = 168.680000; climb = 0.000000; ept = 0.000000e+00, eph
= 3.336000e+03, epv = 5.400000e+01, epd = 5.983000e+03, eps = 3.700000e+01, epc
= 3.000000e+00
Satellites in view: 8, in use: 4
lat = 31.420022, long = 34.578442; time = 1262023299.000000; alt = 141.500000;
speed = 3.852000; track = 181.100000; climb = 0.000000; ept = 0.000000e+00, eph
= 6.654000e+03, epv = 1.070000e+02, epd = 9.448000e+03, eps = 5.500000e+01, epc
= 3.000000e+00
Satellites in view: 8, in use: 4
lat = 31.420018, long = 34.578442; time = 1262023300.000000; alt = 141.000000;
speed = 3.852000; track = 181.100000; climb = 0.000000; ept = 0.000000e+00, eph
= 6.554000e+03, epv = 8.300000e+01, epd = 9.448000e+03, eps = 5.500000e+01, epc
= 3.000000e+00
Satellites in view: 8, in use: 4
lat = 31.420026, long = 34.578444; time = 1262023301.000000; alt = 141.000000;
speed = 0.144000; track = 92.530000; climb = 0.000000; ept = 0.000000e+00, eph
= 4.417000e+03, epv = 6.500000e+01, epd = 3.599900e+04, eps = 1.400000e+02, epc
= 3.000000e+00
Satellites in view: 8, in use: 4
lat = 31.420032, long = 34.578446; time = 1262023302.000000; alt = 140.500000;
speed = 0.144000; track = 31.970000; climb = 0.000000; ept = 0.000000e+00, eph
= 7.258000e+03, epv = 1.280000e+02, epd = 3.599900e+04, eps = 1.430000e+02, epc
= 3.000000e+00
Satellites in view: 8, in use: 4
lat = 31.419981, long = 34.578422; time = 1262023303.000000; alt = 139.500000;
speed = 23.328000; track = 198.840000; climb = 0.000000; ept = 0.000000e+00,
eph = 8.389000e+03, epv = 1.000000e+02, epd = 3.820000e+02, eps = 1.980000e+02,
epc = 3.000000e+00
Satellites in view: 8, in use: 4
lat = 31.419945, long = 34.578404; time = 1262023304.000000; alt = 138.500000;
speed = 23.328000; track = 198.840000; climb = 0.000000; ept = 0.000000e+00,
eph = 6.632000e+03, epv = 7.800000e+01, epd = 3.820000e+02, eps = 1.980000e+02,
epc = 3.000000e+00
Satellites in view: 8, in use: 4
on_stop
on_disconnected
lat = 31.419917, long = 34.578393; time = 1262023305.000000; alt = 137.500000;
speed = 15.768000; track = 196.270000; climb = 0.000000; ept = 0.000000e+00,
eph = 5.226000e+03, epv = 6.100000e+01, epd = 4.980000e+02, eps = 1.080000e+02,
epc = 3.000000e+00
Satellites in view: 7, in use: 4
Satellites in view: 0, in use: 0
lat = 31.400000, long = 35.200000; speed = 0.072000; track = 263.920000; climb
= 0.000000; eSatellites in view: 0, in use: 0
lat = 31.400000, long = 35.200000; speed = 0.072000; track = 263.920000; climb
= 0.000000; epp
first1.44
sec6.17
Comment 46 nivw2008 2009-12-30 19:57:04 UTC
case 1:
--------
0. Condition: cloudy skies , walking while houses are one story high (sky
easily visible). walked for 8 min then paused another 5min in the same place.
1. SIM card inserted - YES
2. Settings - Location - Network positioning ENABLED - No
3. Settings - Internet connection - Connect automatically - WIFI
4. connected to wifi - No
5. Settings - Phone - Data roaming ALWAYS ASK - YES
6. ran clear-gps-cache as root - YES
7. started location-test-gui_0.92-1

-> didnt lock after 13 min
Satellites in view: 4, in use: 0
lat = 31.400000, long = 35.200000; speed = 0.936000; track = 234.170000; climb
= 0.000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Mobile Country Code GSM: 425
Satellites in view: 4, in use: 0
lat = 31.400000, long = 35.200000; speed = 0.936000; track = 234.170000; climb
= 0.000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 5, in use: 0
lat = 31.400000, long = 35.200000; speed = 0.936000; track = 234.170000; climb
= 0.000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Mobile Country Code GSM: 425
Satellites in view: 5, in use: 0
lat = 31.400000, long = 35.200000; speed = 0.936000; track = 234.170000; climb
= 0.000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 6, in use: 0
lat = 31.400000, long = 35.200000; speed = 0.936000; track = 234.170000; climb
= 0.000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Mobile Country Code GSM: 425
Satellites in view: 6, in use: 0
lat = 31.400000, long = 35.200000; speed = 0.936000; track = 234.170000; climb
= 0.000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Mobile Country Code GSM: 425
Satellites in view: 6, in use: 0
lat = 31.400000, long = 35.200000; speed = 0.936000; track = 234.170000; climb
= 0.000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Mobile Country Code GSM: 425
Satellites in view: 6, in use: 0
lat = 31.400000, long = 35.200000; speed = 0.936000; track = 234.170000; climb
= 0.000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Mobile Country Code GSM: 425
Satellites in view: 6, in use: 0
lat = 31.400000, long = 35.200000; speed = 0.936000; track = 234.170000; climb
= 0.000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 8, in use: 0
lat = 31.400000, long = 35.200000; speed = 0.936000; track = 234.170000; climb
= 0.000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Mobile Country Code GSM: 425
Satellites in view: 8, in use: 0
lat = 31.400000, long = 35.200000; speed = 0.936000; track = 234.170000; climb
= 0.000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Mobile Country Code GSM: 425
Satellites in view: 8, in use: 0
lat = 31.400000, long = 35.200000; speed = 0.936000; track = 234.170000; climb
= 0.000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Mobile Country Code GSM: 425
Satellites in view: 8, in use: 0
lat = 31.400000, long = 35.200000; speed = 0.936000; track = 234.170000; climb
= 0.000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 9, in use: 0
lat = 31.400000, long = 35.200000; speed = 0.936000; track = 234.170000; climb
= 0.000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Satellites in view: 10, in use: 0
lat = 31.400000, long = 35.200000; speed = 0.936000; track = 234.170000; climb
= 0.000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Mobile Country Code GSM: 425
Satellites in view: 10, in use: 0
lat = 31.400000, long = 35.200000; speed = 0.936000; track = 234.170000; climb
= 0.000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Mobile Country Code GSM: 425
Satellites in view: 10, in use: 0
on_stop
on_disconnected
lat = 31.400000, long = 35.200000; speed = 0.936000; track = 234.170000; climb
= 0.000000; ept = nan, eph = nan, epv = nan, epd = nan, eps = nan, epc = nan
Mobile Country Code GSM: 425
Satellites in view: 10, in use: 0

case 2
----------
0. partly cloudy , at bus stop , houses one story high (low buildings, sky wide
open)
1. Y 2. Y 3. Wifi 4. N 5.Y 6. N

Satellites in view: 9, in use: 0
lat = 31.261824, long = 34.795251; time = 1262079929.000000; alt = 320.000000;
speed = 2.520000; track = 51.850000; climb = 0.000000; ept = 0.000000e+00, eph
= 2.606000e+03, epv = 2.800000e+01, epd = nan, eps = nan, epc = nan
Satellites in view: 9, in use: 5
lat = 31.261836, long = 34.795248; time = 1262079930.000000; alt = 320.500000;
speed = 0.432000; track = 178.100000; climb = 0.000000; ept = 0.000000e+00, eph
= 3.016000e+03, epv = 3.700000e+01, epd = 3.599900e+04, eps = 3.300000e+01, epc
= 3.000000e+00
Satellites in view: 8, in use: 5
lat = 31.261836, long = 34.795247; time = 1262079931.000000; alt = 320.500000;
speed = 0.432000; track = 182.170000; climb = 0.000000; ept = 0.000000e+00, eph
= 5.931000e+03, epv = 9.300000e+01, epd = 3.599900e+04, eps = 3.800000e+01, epc
= 3.000000e+00
Satellites in view: 8, in use: 5
lat = 31.261838, long = 34.795246; time = 1262079932.000000; alt = 321.000000;
speed = 0.324000; track = 287.820000; climb = 0.000000; ept = 0.000000e+00, eph
= 4.648000e+03, epv = 7.300000e+01, epd = 3.599900e+04, eps = 9.200000e+01, epc
= 3.000000e+00
Satellites in view: 8, in use: 5
lat = 31.261838, long = 34.795246; time = 1262079933.000000; alt = 321.000000;
speed = 0.576000; track = 160.670000; climb = 0.000000; ept = 0.000000e+00, eph
= 4.977000e+03, epv = 7.900000e+01, epd = 3.599900e+04, eps = 5.700000e+01, epc
= 3.000000e+00
Satellites in view: 8, in use: 5
lat = 31.261838, long = 34.795248; time = 1262079934.000000; alt = 321.500000;
speed = 1.404000; track = 114.930000; climb = 0.000000; ept = 0.000000e+00, eph
= 3.968000e+03, epv = 6.000000e+01, epd = 1.886300e+04, eps = 8.700000e+01, epc
= 3.000000e+00
Satellites in view: 8, in use: 5
lat = 31.261835, long = 34.795245; time = 1262079935.000000; alt = 321.500000;
speed = 2.160000; track = 140.560000; climb = 0.000000; ept = 0.000000e+00, eph
= 3.458000e+03, epv = 5.000000e+01, epd = 1.169000e+04, eps = 6.800000e+01, epc
= 3.000000e+00
Satellites in view: 8, in use: 5
lat = 31.261840, long = 34.795239; time = 1262079936.000000; alt = 322.000000;
speed = 1.404000; track = 146.980000; climb = 0.000000; ept = 0.000000e+00, eph
= 2.981000e+03, epv = 4.100000e+01, epd = 3.084100e+04, eps = 6.200000e+01, epc
= 3.000000e+00
Satellites in view: 8, in use: 5
lat = 31.261844, long = 34.795231; time = 1262079937.000000; alt = 322.500000;
speed = 0.936000; track = 162.240000; climb = 0.000000; ept = 0.000000e+00, eph
= 3.680000e+03, epv = 3.400000e+01, epd = 3.599900e+04, eps = 4.200000e+01, epc
= 3.000000e+00
Satellites in view: 8, in use: 5
lat = 31.261839, long = 34.795229; time = 1262079938.000000; alt = 322.000000;
speed = 0.396000; track = 192.630000; climb = 0.000000; ept = 0.000000e+00, eph
= 4.482000e+03, epv = 6.200000e+01, epd = 3.599900e+04, eps = 3.500000e+01, epc
= 3.000000e+00
Satellites in view: 8, in use: 5
lat = 31.261836, long = 34.795227; time = 1262079939.000000; alt = 321.500000;
speed = 0.288000; track = 173.760000; climb = 0.000000; ept = 0.000000e+00, eph
= 3.592000e+03, epv = 5.000000e+01, epd = 3.599900e+04, eps = 3.700000e+01, epc
= 3.000000e+00
Satellites in view: 8, in use: 5
lat = 31.261837, long = 34.795225; time = 1262079940.000000; alt = 321.500000;
speed = 0.468000; track = 187.410000; climb = 0.000000; ept = 0.000000e+00, eph
= 3.110000e+03, epv = 4.300000e+01, epd = 3.599900e+04, eps = 3.600000e+01, epc
= 3.000000e+00
Satellites in view: 8, in use: 5
lat = 31.261837, long = 34.795224; time = 1262079941.000000; alt = 321.500000;
speed = 0.612000; track = 169.980000; climb = 0.000000; ept = 0.000000e+00, eph
= 5.346000e+03, epv = 8.600000e+01, epd = 3.599900e+04, eps = 4.100000e+01, epc
= 3.000000e+00
Satellites in view: 8, in use: 5
lat = 31.261838, long = 34.795224; time = 1262079942.000000; alt = 321.000000;
speed = 0.360000; track = 186.310000; climb = 0.000000; ept = 0.000000e+00, eph
= 4.222000e+03, epv = 6.800000e+01, epd = 3.599900e+04, eps = 3.600000e+01, epc
= 3.000000e+00
Satellites in view: 8, in use: 5
lat = 31.261836, long = 34.795224; time = 1262079943.000000; alt = 321.000000;
speed = 0.432000; track = 177.190000; climb = 0.000000; ept = 0.000000e+00, eph
= 3.402000e+03, epv = 5.400000e+01, epd = 3.599900e+04, eps = 3.100000e+01, epc
= 3.000000e+00
Satellites in view: 8, in use: 5
lat = 31.261833, long = 34.795224; time = 1262079944.000000; alt = 320.500000;
speed = 0.288000; track = 183.020000; climb = 0.000000; ept = 0.000000e+00, eph
= 3.116000e+03, epv = 4.400000e+01, epd = 3.599900e+04, eps = 3.400000e+01, epc
= 3.000000e+00
Satellites in view: 8, in use: 5
lat = 31.261833, long = 34.795224; time = 1262079945.000000; alt = 320.500000;
speed = 0.360000; track = 186.820000; climb = 0.000000; ept = 0.000000e+00, eph
= 4.512000e+03, epv = 7.600000e+01, epd = 3.599900e+04, eps = 3.500000e+01, epc
= 3.000000e+00
Satellites in view: 8, in use: 5
lat = 31.261830, long = 34.795224; time = 1262079946.000000; alt = 320.500000;
speed = 0.792000; track = 173.310000; climb = 0.000000; ept = 0.000000e+00, eph
= 4.091000e+03, epv = 6.500000e+01, epd = 3.599900e+04, eps = 3.500000e+01, epc
= 3.000000e+00
Satellites in view: 8, in use: 5
lat = 31.261832, long = 34.795222; time = 1262079947.000000; alt = 320.500000;
speed = 0.648000; track = 203.310000; climb = 0.000000; ept = 0.000000e+00, eph
= 3.301000e+03, epv = 5.200000e+01, epd = 3.599900e+04, eps = 4.700000e+01, epc
= 3.000000e+00
Satellites in view: 8, in use: 5
lat = 31.261835, long = 34.795219; time = 1262079948.000000; alt = 320.500000;
speed = 0.432000; track = 192.690000; climb = 0.000000; ept = 0.000000e+00, eph
= 3.205000e+03, epv = 4.200000e+01, epd = 3.599900e+04, eps = 3.500000e+01, epc
= 3.000000e+00
Satellites in view: 8, in use: 5
lat = 31.261839, long = 34.795218; time = 1262079949.000000; alt = 320.500000;
speed = 0.324000; track = 165.960000; climb = 0.000000; ept = 0.000000e+00, eph
= 4.360000e+03, epv = 7.100000e+01, epd = 3.599900e+04, eps = 4.100000e+01, epc
= 3.000000e+00
Satellites in view: 8, in use: 5
lat = 31.261843, long = 34.795216; time = 1262079950.000000; alt = 321.000000;
speed = 0.360000; track = 172.920000; climb = 0.000000; ept = 0.000000e+00, eph
= 3.621000e+03, epv = 5.800000e+01, epd = 3.599900e+04, eps = 3.800000e+01, epc
= 3.000000e+00
Satellites in view: 8, in use: 5
on_stop
on_disconnected
lat = 31.261843, long = 34.795216; time = 1262079950.000000; alt = 321.000000;
speed = 0.360000; track = 172.920000; climb = 0.000000; ept = 0.000000e+00, eph
= 3.621000e+03, epv = 5.800000e+01, epd = 3.599900e+04, eps = 3.800000e+01, epc
= 3.000000e+00
Satellites in view: 8, in use: 5
Comment 47 Quim Gil (reporter) nokia 2010-01-12 16:38:04 UTC
During my holidays I kept doing tests with both devices (with/without SIM) in 
several situations, walking in towns, in the window from a bus, driving a
car... I got always fixes within 1-3 minutes, as usual.

I didn't try in more challenging situations like walking through narrow steets
in Barcelona since the point to be proven here is that sometime the device
won't get a fix at all even if the conditions are good.

As explained in Bug 5337 Comment #119 there is a factor that needs to be taken
into account: the Maps application will disable the GPS 30 seconds after the
screen gets blank, or the application gets minimized. This is done to save
power. 

Maybe the GPS is disabled at a framework level after the screen is dimmed, and
this might be a factor influencing the results? (to be confirmed, need to ask).
Now I realize that most of my tests where done paying a lot of attention on the
screen, meaning that I never left the app in the background or the screen
dimming. Maybe this is one factor that helped me getting the high percentage of
positive results compared to tohers reported here?

Please avoid the Maps app for testing since it might have it's own issues
handling power management etc. If installing location-test-gui is too hard for
you then please use the very simple
http://maemo.org/downloads/product/Maemo5/maep/ have the app always on view
(not minimized) and avoid the screen going black. If you get more positive
results this way then we will have hit something.
Comment 48 Quim Gil (reporter) nokia 2010-01-12 16:55:13 UTC
We will try to release an updated location-test-gui able to report not only
satellites in view but also the signal strengths of those satellites.

Feedback from one of the Location developers:

"I would like to point out that number of satellites in view alone is not very
good measure of how close the device is getting a fix lock, at least satellite
strengths are needed as well. N900 seems to report satellite signal strengths
with 6 dBHz for those satellites that it has some information (ephemeris,
almanac), but is not currently listening to, however these satellites count as
satellites in view as well.

Therefore for getting standalone GPS fix lock, more relevant number than
satellites in view is that how many satellites have a signal strengh >>6 dBHz
(and how scattered those satellites are etc.).

As and example of satellites in view being insufficient quantity of measuring
closeness of GPS fix lock, I can mention that I have been running _BT GPS_ for
2 hours on my window with 12 satellites in view (1-4 with positive signals),
and I have NO FIX.

I tested GNSS offline, GNSS online, AGNSS without network connection and
observed no significant difference between ability of these methods getting a
GPS fix lock.

When device was seemingly close of getting a standalone GPS fix (>= 5
satellites in view with good signals), I tried tricks mentioned in public bugs
(offline/online switch, rebooting the device...) to speed up fix lock, but
observed nothing significant or reproducible."
Comment 49 Neil MacLeod maemo.org 2010-01-12 17:05:57 UTC
(In reply to comment #48)
> We will try to release an updated location-test-gui able to report not only
> satellites in view but also the signal strengths of those satellites.
> 
If changes are afoot... perhaps indicating whether a lock has been achieved
would also be useful rather than trying to interpret this from the log/trace.
And adding the chronological system time to the trace would make it easier to
work out how long a fix has taken to achieve. And integrating the "clear gps
data" functionality would be icing on the cake.

I hope you enjoyed your holiday! :)
Comment 50 Andre Klapper maemo.org 2010-01-14 12:33:11 UTC
Today Nokia released the Maemo5 update version 2.2009.51-1 for public (also
called "PR1.1" sometimes).
If you have some time we kindly ask you to test again if the problem reported
here still happens in this new version - just leave a comment (and feel free to
update the "Version" field to the new version if it's still a problem).
Comment 51 Emir Mahmutbegovic 2010-01-14 16:35:49 UTC
(In reply to comment #50)
> Today Nokia released the Maemo5 update version 2.2009.51-1 for public (also
> called "PR1.1" sometimes).
> If you have some time we kindly ask you to test again if the problem reported
> here still happens in this new version - just leave a comment (and feel free to
> update the "Version" field to the new version if it's still a problem).
> 

Hi Andre,

I did some tests today (after lastest firmware update). With network
positioning -> off , Ovi Maps and GPXView can not lock. If I enable network
positioning and have no network connections (no GPRS, UMTS, WiFi etc...) it
locks in 15 seconds (positiong is cca 200m in offset from my location). If i
wait about 10 min. location lock does get accurate. 
Is this expected behaviour ? 

PS: All test were indoors!
Comment 52 Javier S. Pedro 2010-01-15 19:14:26 UTC
So, today I decided to do some tests too (this is PR1.0). Unfortunately the
results are mostly positive, save for one interesting bit. For the tests,the
N900 was fitted on a place with _perfect_ view of the sky. I also had my N810
so I used Wayfinder to try to compare. I was on a public park; people had
started looking at me like if I were a terrorist ;)

So, I boot up location-test-gui. It had been two weeks since my latest lock. I
have AGPS enabled and cellmo enabled, but no data connection.
The number of satellites viewed increases at a speed similar to the N810:
1,3,4,5. At 35s it has 5 satellites in view and log messages stop appearing for
a while. (The N810 still has 3 satellites, it seems to be lagging behind).
At 50s the screen dims. Right when it dims, location-test-gui prints a log
entry stating it has 0 satellites in view. This is clearly impossible. I glance
over, read the message and tap the screen (so it doesn't turn off). Immediately
another log message is printed: 5 satellites in view. 
Around 1:35 the N900 gets a lock. The N810 locked after 3:00+ (I had stopped
the stopwatch by then. Seems the N900 is a bit faster than the N810 in this
regard).

I close location-test-gui and reopen it. Instant lock (the "select connection"
icd2 prompts come _after_ getting the lock :) ). So the cache works.

I close location-test-gui and run clear-gps-data. I try again, this time
pressing the screen every 20 seconds so that it doesn't dim. Lock in 50
seconds; "0 satellites in view" doesn't appear in the log. I think Quim may be
on to something...

Again, I close location-test-gui and clear-gps-data. I try again, letting it
shut the screen off. After two minutes, I turn it on again: it has a lock. :(
So it seems it can lock even with the screen off.

I try again (restart location, clear-gps-data). This time I decide to turn the
screen on just after 1 minute (that is, 30 seconds after it powers off). The
GPS doesn't have a lock. The log is full of entries of "0 satellites in view".
After a few seconds it prints "5 satellites in view" and gets a lock before the
screen dims.

I retry, this time in offline mode. After 2 minutes (screen off) I turn it on
only to find it has got a lock. So I retry again. After 1:10, it doesn't have a
lock, but gets it right in a few seconds in front of my eyes.

Notes.
- My definition of "lock" is more than four satellites in use. The accuracy as
stated by the location-test-gui app is 30m. I think this is a pessimistic
value.

Conclusions:
- Status of "AGPS enabled" and "Offline mode" settings seem not to have have an
impact in time-to-first-fix when no data connections are avail.
- The screen dimming seems to somehow affect the GPS functionality, sometimes
causing it to "lose satellites". When this happens, the time-to-first-fix is
increased (slightly). It doesn't seem to happen always, though.
- The chipset seems (a bit) better than the one on the N810. It is still no
SirfIII. I wouldn't expect it to even work indoors when it takes 2 minutes to
get a lock outdoors.
- (Offtopic) OviMaps can also get locks with screen off. Though sometimes I've
powered the screen only to find OviMaps _losing_ the lock, then getting it
again in a few seconds (cache works as good as AGPS).
Comment 53 Quim Gil (reporter) nokia 2010-01-16 02:02:02 UTC
There is a newer version of location-test-gui that offers the signal strength
of the satellites under the "Sats" tab. Please use it in your tests to see if
the information based on satellites not only in view but also in "green" signal
strength makes sense.

http://repository.maemo.org/pool/maemo5.0/non-free/l/location-test-gui/location-test-gui_0.93-1+0m5_armel.deb

In principle it's only the Maps applications the one imposing currently the
limitation of 30 secons after display dims. location-test-gui is sxupposed to
keep polling no matter what.
Comment 54 SaintGermain 2010-01-17 14:47:08 UTC
Hello,

I would like to contribute to this bug, so here are my results.
I was on the city market, buildings from 2 to 5 floors nearby.
After 15 mn (it's cold outside !), no fix.
I'm with PR 1.1 but haven't tested with the new locate test gui uploaded
yesterday. Will do it next time !

0. SIM card inserted. - Yes
1. Settings - Location - Network positioning ENABLED - YES
2. Settings - Internet connection - Connect automatically ALWAYS ASK - YES
3. Settings - Phone - Data roaming ALWAYS ASK - YES
4. Settings - Phone - Data counter - write down values
5. Previous GPS fix was on a different country (6000 km away...) so I didn't
feel the need to reset the cache.
6. started location-test-gui_0.92-1
7. Cancel two requests to connect to data.
-> no lock after 15 min

Satellites in view: 9, in use: 0
lat = 45,500000, long = 2,900000; speed = 0,936000; track = 238,270000; climb =
0,000000; ept = 0,000000e+00, eph = 7,200000e+07, epv = 3,276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 11, in use: 0
lat = 45,500000, long = 2,900000; speed = 0,936000; track = 238,270000; climb =
0,000000; ept = 0,000000e+00, eph = 7,200000e+07, epv = 3,276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 7, in use: 0
lat = 45,500000, long = 2,900000; speed = 0,936000; track = 238,270000; climb =
0,000000; ept = 0,000000e+00, eph = 7,200000e+07, epv = 3,276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 11, in use: 0
lat = 45,500000, long = 2,900000; speed = 0,936000; track = 238,270000; climb =
0,000000; ept = 0,000000e+00, eph = 7,200000e+07, epv = 3,276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 10, in use: 0
lat = 45,500000, long = 2,900000; speed = 0,936000; track = 238,270000; climb =
0,000000; ept = 0,000000e+00, eph = 7,200000e+07, epv = 3,276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 11, in use: 0
lat = 45,500000, long = 2,900000; speed = 0,936000; track = 238,270000; climb =
0,000000; ept = 0,000000e+00, eph = 7,200000e+07, epv = 3,276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 4, in use: 0
lat = 45,500000, long = 2,900000; speed = 0,936000; track = 238,270000; climb =
0,000000; ept = 0,000000e+00, eph = 7,200000e+07, epv = 3,276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 10, in use: 0
lat = 45,500000, long = 2,900000; speed = 0,936000; track = 238,270000; climb =
0,000000; ept = 0,000000e+00, eph = 7,200000e+07, epv = 3,276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 11, in use: 0
lat = 45,500000, long = 2,900000; speed = 0,936000; track = 238,270000; climb =
0,000000; ept = 0,000000e+00, eph = 7,200000e+07, epv = 3,276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 10, in use: 0
lat = 45,500000, long = 2,900000; speed = 0,936000; track = 238,270000; climb =
0,000000; ept = 0,000000e+00, eph = 7,200000e+07, epv = 3,276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 11, in use: 0
lat = 45,500000, long = 2,900000; speed = 0,936000; track = 238,270000; climb =
0,000000; ept = 0,000000e+00, eph = 7,200000e+07, epv = 3,276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 4, in use: 0
lat = 45,500000, long = 2,900000; speed = 0,936000; track = 238,270000; climb =
0,000000; ept = 0,000000e+00, eph = 7,200000e+07, epv = 3,276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 11, in use: 0
lat = 45,500000, long = 2,900000; speed = 0,936000; track = 238,270000; climb =
0,000000; ept = 0,000000e+00, eph = 7,200000e+07, epv = 3,276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 10, in use: 0
lat = 45,500000, long = 2,900000; speed = 0,936000; track = 238,270000; climb =
0,000000; ept = 0,000000e+00, eph = 7,200000e+07, epv = 3,276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 11, in use: 0
lat = 45,500000, long = 2,900000; speed = 0,936000; track = 238,270000; climb =
0,000000; ept = 0,000000e+00, eph = 7,200000e+07, epv = 3,276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 4, in use: 0
lat = 45,500000, long = 2,900000; speed = 0,936000; track = 238,270000; climb =
0,000000; ept = 0,000000e+00, eph = 7,200000e+07, epv = 3,276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 11, in use: 0
lat = 45,500000, long = 2,900000; speed = 0,936000; track = 238,270000; climb =
0,000000; ept = 0,000000e+00, eph = 7,200000e+07, epv = 3,276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 4, in use: 0
lat = 45,500000, long = 2,900000; speed = 0,936000; track = 238,270000; climb =
0,000000; ept = 0,000000e+00, eph = 7,200000e+07, epv = 3,276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 11, in use: 0
lat = 45,500000, long = 2,900000; speed = 0,936000; track = 238,270000; climb =
0,000000; ept = 0,000000e+00, eph = 7,200000e+07, epv = 3,276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 4, in use: 0
lat = 45,500000, long = 2,900000; speed = 0,936000; track = 238,270000; climb =
0,000000; ept = 0,000000e+00, eph = 7,200000e+07, epv = 3,276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 11, in use: 0
lat = 45,500000, long = 2,900000; speed = 0,936000; track = 238,270000; climb =
0,000000; ept = 0,000000e+00, eph = 7,200000e+07, epv = 3,276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 4, in use: 0
lat = 45,500000, long = 2,900000; speed = 0,936000; track = 238,270000; climb =
0,000000; ept = 0,000000e+00, eph = 7,200000e+07, epv = 3,276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 11, in use: 0
on_stop
on_disconnected
Comment 55 Quim Gil (reporter) nokia 2010-01-18 09:49:34 UTC
Hi SaintGermain, did you use
http://repository.maemo.org/pool/maemo5.0/non-free/l/location-test-gui/location-test-gui_0.93-1+0m5_armel.deb
 ? (the latest version)

Did you check the signal strength of the satellites pressing the "Sats" button?
Remember that many sats at view doesn't automatically mean a "right" to get a
lock. :)
Comment 56 SaintGermain 2010-01-20 00:25:30 UTC
@ Quim Gil
Glad I could be of any help...
I couldn't test this week end with the new location-test-gui because
repositories were down.

Now I've tried again in different places, here are the results:

Large place but with very big buildings around.
3-4 Sats reception quality were in the green (values around 30-40)
0. SIM card inserted. - Yes
1. Settings - Location - Network positioning ENABLED - YES
2. Settings - Internet connection - Connect automatically ALWAYS ASK - YES
3. Settings - Phone - Data roaming ALWAYS ASK - YES
4. Settings - Phone - Data counter - write down values
5. Previous GPS fix was on a different country (6000 km away...) so I didn't
feel the need to reset the cache.
6. started location-test-gui_0.93-1
7. Cancel three requests to connect to data.
->lock after 4 min

See Attachment SaintGermain_test1.log
Comment 57 SaintGermain 2010-01-20 00:27:11 UTC
Created an attachment (id=2054) [details]
Comment#56 : Test Case 1
Comment 58 SaintGermain 2010-01-20 00:31:09 UTC
Oups forgot the 2 other tests cases:

Small place but with low buildings around.
4-6 Sats reception quality were in the green (values around 30-40)
0. SIM card inserted. - Yes
1. Settings - Location - Network positioning ENABLED - YES
2. Settings - Internet connection - Connect automatically ALWAYS ASK - YES
3. Settings - Phone - Data roaming ALWAYS ASK - YES
4. Settings - Phone - Data counter - write down values
5. Previous GPS fix was 20 km away
6. started location-test-gui_0.93-1
7. Cancel three requests to connect to data.
->lock after 2 min

See Attachment SaintGermain_test2.log

Same small place with low buildings around.
4-6 Sats reception quality were in the green (values around 30-40)
0. SIM card inserted. - Yes
1. Settings - Location - Network positioning ENABLED - YES
2. Settings - Internet connection - Connect automatically ALWAYS ASK - YES
3. Settings - Phone - Data roaming ALWAYS ASK - YES
4. Settings - Phone - Data counter - write down values
5. clear-gps-cache
6. started location-test-gui_0.93-1
7. Cancel three requests to connect to data.
->lock after 2 min

See Attachment SaintGermain_test3.log
Comment 59 SaintGermain 2010-01-20 00:31:47 UTC
Created an attachment (id=2055) [details]
Comment #57 : Test Case 2
Comment 60 SaintGermain 2010-01-20 00:32:25 UTC
Created an attachment (id=2056) [details]
Comment #57 : Test Case 3
Comment 61 SaintGermain 2010-01-20 00:37:48 UTC
@Quim Gil
I also have a good external GPS bluetooth receiver (Qstarz BT-Q818).
Do you want me to test with it in the same locations ?
Problem is that I can't reset the GPS cache...
Comment 62 Sergey Vlasov 2010-01-21 18:24:44 UTC
*** Bug 8221 has been marked as a duplicate of this bug. ***
Comment 63 Quim Gil (reporter) nokia 2010-02-01 07:53:20 UTC
After all these reports... is it possible to draw a pattern?

In my own experience I would say that most of the times using location-test-gui
you do get a GPS lock with several satellites at view. In the cases you don't,
checking the signal strength of those satellites you do see that the signal is
weak.

If you have results showing something different please share. We are looking
specifically to this case: 6 or more satellites at view with at least 4 with
good signal strength not getting a lock after 3-5 minutes.

I haven't seen it so far, either I got a lock in less than 3 minutes or I
didn't get enough satellites with good signal strength. In the last case we
can't probably blame software, so unless someone has a better idea this would
be a WORKSFORME.

Let's give us an extra month to test. If nothing new is found this report will
be resolved in March.
Comment 64 Quim Gil (reporter) nokia 2010-02-03 11:00:40 UTC
Just for the record, and excerpt from Bug 5337 Comment #133 

> I currently don't have
> a data plan, and Ovi Maps does not get a fix. (...)
> If I go to the location widget I have on the desktop, it finds a fix pretty
> fast

Looks like one testimonial more supporting the WORKSFORME here.
Comment 65 alienson 2010-02-12 11:45:46 UTC
i have tried to get locked without A-GPS for more than 45 mins but no luck at
all even when 2 sat. are showing, and then tried with A-GPS found 6 sat.


here is the data, this is after even using A-GPS


lat = 25.300444, long = 55.392644; speed = 1.368000; track = 259.630000; climb
= 0.050000; ept = 0.000000e+00, eph = 5.219050e+05, epv = 3.276750e+04, epd =
nan, eps = nan, epc = nan
Mobile Country Code WCDMA: 424
Satellites in view: 7, in use: 0
lat = 25.300444, long = 55.392644; speed = 1.368000; track = 259.630000; climb
= 0.050000; ept = 0.000000e+00, eph = 5.259050e+05, epv = 3.276750e+04, epd =
nan, eps = nan, epc = nan
Mobile Country Code WCDMA: 424
Satellites in view: 7, in use: 0
lat = 25.300444, long = 55.392644; speed = 1.368000; track = 259.630000; climb
= 0.050000; ept = 0.000000e+00, eph = 5.299050e+05, epv = 3.276750e+04, epd =
nan, eps = nan, epc = nan
Mobile Country Code WCDMA: 424
Satellites in view: 7, in use: 0
lat = 25.300444, long = 55.392644; speed = 1.368000; track = 259.630000; climb
= 0.050000; ept = 0.000000e+00, eph = 5.339130e+05, epv = 3.276750e+04, epd =
nan, eps = nan, epc = nan
Mobile Country Code WCDMA: 424
Satellites in view: 7, in use: 0
lat = 25.300444, long = 55.392644; speed = 1.368000; track = 259.630000; climb
= 0.050000; ept = 0.000000e+00, eph = 5.379130e+05, epv = 3.276750e+04, epd =
nan, eps = nan, epc = nan
Mobile Country Code WCDMA: 424
Satellites in view: 7, in use: 0
lat = 25.300444, long = 55.392644; speed = 1.368000; track = 259.630000; climb
= 0.050000; ept = 0.000000e+00, eph = 5.419090e+05, epv = 3.276750e+04, epd =
nan, eps = nan, epc = nan
Mobile Country Code WCDMA: 424
Satellites in view: 7, in use: 0
lat = 25.300444, long = 55.392644; speed = 1.368000; track = 259.630000; climb
= 0.050000; ept = 0.000000e+00, eph = 5.459050e+05, epv = 3.276750e+04, epd =
nan, eps = nan, epc = nan
Mobile Country Code WCDMA: 424
Satellites in view: 7, in use: 0
lat = 25.300444, long = 55.392644; speed = 1.368000; track = 259.630000; climb
= 0.050000; ept = 0.000000e+00, eph = 5.499090e+05, epv = 3.276750e+04, epd =
nan, eps = nan, epc = nan
Mobile Country Code WCDMA: 424
Satellites in view: 7, in use: 0
lat = 25.300444, long = 55.392644; speed = 1.368000; track = 259.630000; climb
= 0.050000; ept = 0.000000e+00, eph = 5.539090e+05, epv = 3.276750e+04, epd =
nan, eps = nan, epc = nan
Mobile Country Code WCDMA: 424
Satellites in view: 7, in use: 0
lat = 25.300444, long = 55.392644; speed = 1.368000; track = 259.630000; climb
= 0.050000; ept = 0.000000e+00, eph = 5.579050e+05, epv = 3.276750e+04, epd =
nan, eps = nan, epc = nan
Mobile Country Code WCDMA: 424
Satellites in view: 7, in use: 0
lat = 25.300444, long = 55.392644; speed = 1.368000; track = 259.630000; climb
= 0.050000; ept = 0.000000e+00, eph = 5.619010e+05, epv = 3.276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 5, in use: 0
lat = 25.300444, long = 55.392644; speed = 1.368000; track = 259.630000; climb
= 0.050000; ept = 0.000000e+00, eph = 5.660050e+05, epv = 3.276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 7, in use: 0
lat = 25.300444, long = 55.392644; speed = 1.368000; track = 259.630000; climb
= 0.050000; ept = 0.000000e+00, eph = 5.699130e+05, epv = 3.276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 7, in use: 0
lat = 25.300444, long = 55.392644; speed = 1.368000; track = 259.630000; climb
= 0.050000; ept = 0.000000e+00, eph = 5.739050e+05, epv = 3.276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 7, in use: 0
lat = 24.700000, long = 53.800000; speed = 1.368000; track = 259.630000; climb
= 0.050000; ept = 0.000000e+00, eph = 2.800000e+07, epv = 3.276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 7, in use: 0
lat = 24.700000, long = 53.800000; speed = 1.368000; track = 259.630000; climb
= 0.050000; ept = 0.000000e+00, eph = 2.800000e+07, epv = 3.276750e+04, epd =
nan, eps = nan, epc = nan
Mobile Country Code WCDMA: 424
Satellites in view: 7, in use: 0
lat = 24.700000, long = 53.800000; speed = 1.368000; track = 259.630000; climb
= 0.050000; ept = 0.000000e+00, eph = 2.800000e+07, epv = 3.276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 6, in use: 0
lat = 24.700000, long = 53.800000; speed = 1.368000; track = 259.630000; climb
= 0.050000; ept = 0.000000e+00, eph = 2.800000e+07, epv = 3.276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 4, in use: 0
lat = 24.700000, long = 53.800000; speed = 1.368000; track = 259.630000; climb
= 0.050000; ept = 0.000000e+00, eph = 2.800000e+07, epv = 3.276750e+04, epd =
nan, eps = nan, epc = nan
Satellites in view: 5, in use: 0
Comment 66 Venomrush 2010-02-12 19:49:33 UTC
Ovi Maps + Camera with Geotagging enabled will relentlessly bringing up
Internet Connection dialog - Bug 5905 and Bug 9029
Comment 67 Tadghe Danu 2010-02-26 20:14:53 UTC
Same issue. GPS enabled, Location enabled, but unable GPS is unable to acquire
a fix.

GPS test gui util shows 7 to 11 sats in range, but GPS never acquires any of
them.  I may be the only one with this issue, but trying to leverage the
clear-gps-cache util after doing a sudo gainroot results in

-sh: ./clear_gps-cache: Permission denied.

Mayhap I'm missing something here?
Comment 68 Jeroen Wouters 2010-02-26 23:16:03 UTC
(In reply to comment #67)
> -sh: ./clear_gps-cache: Permission denied.

I'm guessing you put the clear_gps-cache binary in the MyDocs folder, which is
mounted as noexec, which means you can't execute files from it.
Try moving it to /home/user and if necessary also 'chmod u+x clear_gps-cache'.
Comment 69 Quim Gil (reporter) nokia 2010-03-01 13:18:44 UTC
Comment #65 and Comment #67 didn't provide any info on the signal strength of
the satellites at view. Unless someone doesn't get a lock even after having 4
or more satellits with strong signal, we are in the same situation. See Comment
#53

(In reply to comment #63)
> Let's give us an extra month to test. If nothing new is found this report will
> be resolved in March.

Therefore I'm resolving this report as WORKSFORME, meaning that we haven't
found anything faulty in the location software. If you can reproduce a software
problem impeding to get a lock even with 4 or more satellites with strong
signal reception, please reopen it.

Note that this is not related to expectations on signal strength received for
the satellites at view. This is related to factors different than software and
therefore we can't aim to fix them with software.

Thank you to everybody involved in the research of this bug report!
Comment 70 Sergey Vlasov 2010-03-01 13:21:35 UTC
Time to return my N900 back to Nokia :(
Comment 71 PeteC 2010-03-01 14:02:40 UTC
WORKSFORME as well.

I just cleared the GPS cache (using attached utility), went into offline mode &
got a fix from location-test-gui in about 4 minutes. This was indoors, not even
near a window.

I think some people are either not following this thread too closely or have
bad hardware.


But at the risk of muddying the waters a little, I have seen situations where
there were plenty of satellites in view & I couldn't get a lock in
location-test-gui even *with* AGPS. All 3 times, there was an app in the
background (Nokia Maps or maep) that had been using GPS when I locked the
screen and left it for a while. Closing the app resulted in location-test-gui
suddenly getting a lock, so it felt like the app was holding on to a bad
resource that prevented location-test-gui from getting a fix. I'll file a
separate bug if I can get it reproducible.
Comment 72 Vincent Lefevre 2010-03-01 14:52:23 UTC
(In reply to comment #69)
> Comment #65 and Comment #67 didn't provide any info on the signal strength of
> the satellites at view.

How does the N900 give signal strength in the status bar?

I recall what you said in bug #3850 comment #8: "A basic status bar will
provide the information about the AGPS and satellites connection."
Comment 73 PeteC 2010-03-01 15:17:57 UTC
(In reply to comment #72)
> How does the N900 give signal strength in the status bar?

Use the "Sats" button in location-test-gui.

It's important to mention the signal strength because network positioning will
let the N900 "see" a whole load of satellites instantly, even if it's inside a
lead box (and this information is cached).

Using the signal strength will let you know how many satellites the N900 can
*really* see, rather than how many it's been told about by AGPS.
Comment 74 Vincent Lefevre 2010-03-01 16:33:16 UTC
(In reply to comment #73)
> (In reply to comment #72)
> > How does the N900 give signal strength in the status bar?
> 
> Use the "Sats" button in location-test-gui.

The location-test-gui isn't the status bar. Nokia shouldn't expect the user to
run it every time he wants to connect: the signal strength is important for the
user to know whether he should wait for a fix (because the signal strength is
sufficient) or try to find another place where he would have a chance to get a
fix.
Comment 75 Roman Polach 2010-03-02 12:06:24 UTC
GPSJinni app from extras repo seems to have signal strength view
Comment 76 Andre Klapper maemo.org 2010-06-24 09:43:39 UTC
*** Bug 10511 has been marked as a duplicate of this bug. ***
Comment 77 Joerg Reisenweber 2010-07-21 18:00:06 UTC
2 devices N900, one with valid SIM, one with non-registering (expired) SIM, One
PR1.1.1 and one PR1.2
Both devices have connectivity to internet via WLAN
The device with working signed-in SIM gets fix in <20s, while the other one has
no fix after 20 minutes
Swapped SIMs, same result as above: Device needs GSM sign-in to get fix,
without GSM registration TTFF is ages

On another occasion I tried to get a fix with the device with expired SIM:
start GPSjinni: 4 Sats - 100, 100, 98, 95... stall, no fix, no further sats
start ovi-map: no change
after ~10 min, stop ovimap and GPSjinni, restart GPSjinni: ~8..9 Sats
instantly, fix after ~30s

conclusion: seems GPS never recovers from a fail to 'sync' to Sats during first
60s. Liblocation seems to refuse to use any other hint for AGPS rough location,
other than GSM network info
Comment 78 sabino 2010-07-22 01:11:05 UTC
(In reply to comment #69)
> Comment #65 and Comment #67 didn't provide any info on the signal strength of
> the satellites at view. Unless someone doesn't get a lock even after having 4
> or more satellits with strong signal, we are in the same situation. See Comment
> #53
> 
> (In reply to comment #63)
> > Let's give us an extra month to test. If nothing new is found this report will
> > be resolved in March.
> 
> Therefore I'm resolving this report as WORKSFORME, meaning that we haven't
> found anything faulty in the location software. If you can reproduce a software
> problem impeding to get a lock even with 4 or more satellites with strong
> signal reception, please reopen it.
> 
> Note that this is not related to expectations on signal strength received for
> the satellites at view. This is related to factors different than software and
> therefore we can't aim to fix them with software.
> 
> Thank you to everybody involved in the research of this bug report!
> 

If so much users claim for a bug and supposing hardware isn't faulty or bugged
for all users, the reason could be only in the software, as the comment #77
shows.
I ask you to change status to reopen the bug, in 90% of the tries my phone
doesn't work nor with ovi maps nor with sygic mobile maps 9 without a-gps.